#-- start of make_header -----------------

#====================================
#  Library Dy
#
#   Generated Fri Mar 31 09:19:40 2017  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_Dy_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_Dy_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_Dy

Dy_tag = $(tag)

#cmt_local_tagfile_Dy = $(Dy_tag)_Dy.make
cmt_local_tagfile_Dy = $(bin)$(Dy_tag)_Dy.make

else

tags      = $(tag),$(CMTEXTRATAGS)

Dy_tag = $(tag)

#cmt_local_tagfile_Dy = $(Dy_tag).make
cmt_local_tagfile_Dy = $(bin)$(Dy_tag).make

endif

include $(cmt_local_tagfile_Dy)
#-include $(cmt_local_tagfile_Dy)

ifdef cmt_Dy_has_target_tag

cmt_final_setup_Dy = $(bin)setup_Dy.make
cmt_dependencies_in_Dy = $(bin)dependencies_Dy.in
#cmt_final_setup_Dy = $(bin)Dy_Dysetup.make
cmt_local_Dy_makefile = $(bin)Dy.make

else

cmt_final_setup_Dy = $(bin)setup.make
cmt_dependencies_in_Dy = $(bin)dependencies.in
#cmt_final_setup_Dy = $(bin)Dysetup.make
cmt_local_Dy_makefile = $(bin)Dy.make

endif

#cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)Dysetup.make

#Dy :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'Dy'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = Dy/
#Dy::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------
#-- start of libary_header ---------------

Dylibname   = $(bin)$(library_prefix)Dy$(library_suffix)
Dylib       = $(Dylibname).a
Dystamp     = $(bin)Dy.stamp
Dyshstamp   = $(bin)Dy.shstamp

Dy :: dirs DyPROTOS DyLIB
	$(echo) "Dy ok"

#-- end of libary_header ----------------
#-- start of protos_header ------
    
DyPROTOS ::  $(inc)DyInput.pp $(inc)DyUtils.pp $(inc)DyXform.pp $(inc)DyConfig.pp $(inc)DyPlots.pp $(inc)fselector.pp $(inc)DyXformUser.pp $(inc)jmThread.pp $(inc)cmservers.pp $(inc)getdd.pp $(inc)getshm.pp $(inc)mainbrowser.pp $(inc)plot1d.pp $(inc)mainpanel.pp $(inc)plot2d.pp $(inc)plotaudio.pp $(inc)plotgenepar.pp $(inc)plotfft.pp $(inc)plotffttime.pp $(inc)plottrfcttime.pp $(inc)plotcohetime.pp $(inc)plot1dtime.pp $(inc)plotrawtime.pp $(inc)plottrfct.pp $(inc)plotcohe.pp $(inc)plottime.pp $(inc)userfuncbrowser.pp $(inc)plotraw.pp $(inc)dyhelp.pp $(inc)dydebug.pp $(inc)dyoptions.pp $(inc)dyoutput.pp $(inc)reffile.pp $(inc)dysliders.pp
	$(echo) "Dy : Protos ok"

#-- end of protos_header ------
#-- start of buildproto

$(inc)DyInput.pp : $(src)DyInput.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)DyInput.c >/dev/null
	cat /dev/null >$(inc)DyInput.pp

#-- end of buildproto
#-- start of buildproto

$(inc)DyUtils.pp : $(src)DyUtils.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)DyUtils.c >/dev/null
	cat /dev/null >$(inc)DyUtils.pp

#-- end of buildproto
#-- start of buildproto

$(inc)DyXform.pp : $(src)DyXform.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)DyXform.c >/dev/null
	cat /dev/null >$(inc)DyXform.pp

#-- end of buildproto
#-- start of buildproto

$(inc)DyConfig.pp : $(src)DyConfig.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)DyConfig.c >/dev/null
	cat /dev/null >$(inc)DyConfig.pp

#-- end of buildproto
#-- start of buildproto

$(inc)DyPlots.pp : $(src)DyPlots.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)DyPlots.c >/dev/null
	cat /dev/null >$(inc)DyPlots.pp

#-- end of buildproto
#-- start of buildproto

$(inc)fselector.pp : $(src)fselector.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)fselector.c >/dev/null
	cat /dev/null >$(inc)fselector.pp

#-- end of buildproto
#-- start of buildproto

$(inc)DyXformUser.pp : $(src)DyXformUser.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)DyXformUser.c >/dev/null
	cat /dev/null >$(inc)DyXformUser.pp

#-- end of buildproto
#-- start of buildproto

$(inc)jmThread.pp : $(src)jmThread.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)jmThread.c >/dev/null
	cat /dev/null >$(inc)jmThread.pp

#-- end of buildproto
#-- start of buildproto

$(inc)cmservers.pp : $(src)xform/cmservers.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/cmservers.c >/dev/null
	cat /dev/null >$(inc)cmservers.pp

#-- end of buildproto
#-- start of buildproto

$(inc)getdd.pp : $(src)xform/getdd.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/getdd.c >/dev/null
	cat /dev/null >$(inc)getdd.pp

#-- end of buildproto
#-- start of buildproto

$(inc)getshm.pp : $(src)xform/getshm.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/getshm.c >/dev/null
	cat /dev/null >$(inc)getshm.pp

#-- end of buildproto
#-- start of buildproto

$(inc)mainbrowser.pp : $(src)xform/mainbrowser.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/mainbrowser.c >/dev/null
	cat /dev/null >$(inc)mainbrowser.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plot1d.pp : $(src)xform/plot1d.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plot1d.c >/dev/null
	cat /dev/null >$(inc)plot1d.pp

#-- end of buildproto
#-- start of buildproto

$(inc)mainpanel.pp : $(src)xform/mainpanel.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/mainpanel.c >/dev/null
	cat /dev/null >$(inc)mainpanel.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plot2d.pp : $(src)xform/plot2d.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plot2d.c >/dev/null
	cat /dev/null >$(inc)plot2d.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plotaudio.pp : $(src)xform/plotaudio.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plotaudio.c >/dev/null
	cat /dev/null >$(inc)plotaudio.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plotgenepar.pp : $(src)xform/plotgenepar.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plotgenepar.c >/dev/null
	cat /dev/null >$(inc)plotgenepar.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plotfft.pp : $(src)xform/plotfft.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plotfft.c >/dev/null
	cat /dev/null >$(inc)plotfft.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plotffttime.pp : $(src)xform/plotffttime.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plotffttime.c >/dev/null
	cat /dev/null >$(inc)plotffttime.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plottrfcttime.pp : $(src)xform/plottrfcttime.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plottrfcttime.c >/dev/null
	cat /dev/null >$(inc)plottrfcttime.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plotcohetime.pp : $(src)xform/plotcohetime.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plotcohetime.c >/dev/null
	cat /dev/null >$(inc)plotcohetime.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plot1dtime.pp : $(src)xform/plot1dtime.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plot1dtime.c >/dev/null
	cat /dev/null >$(inc)plot1dtime.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plotrawtime.pp : $(src)xform/plotrawtime.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plotrawtime.c >/dev/null
	cat /dev/null >$(inc)plotrawtime.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plottrfct.pp : $(src)xform/plottrfct.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plottrfct.c >/dev/null
	cat /dev/null >$(inc)plottrfct.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plotcohe.pp : $(src)xform/plotcohe.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plotcohe.c >/dev/null
	cat /dev/null >$(inc)plotcohe.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plottime.pp : $(src)xform/plottime.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plottime.c >/dev/null
	cat /dev/null >$(inc)plottime.pp

#-- end of buildproto
#-- start of buildproto

$(inc)userfuncbrowser.pp : $(src)xform/userfuncbrowser.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/userfuncbrowser.c >/dev/null
	cat /dev/null >$(inc)userfuncbrowser.pp

#-- end of buildproto
#-- start of buildproto

$(inc)plotraw.pp : $(src)xform/plotraw.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/plotraw.c >/dev/null
	cat /dev/null >$(inc)plotraw.pp

#-- end of buildproto
#-- start of buildproto

$(inc)dyhelp.pp : $(src)xform/dyhelp.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/dyhelp.c >/dev/null
	cat /dev/null >$(inc)dyhelp.pp

#-- end of buildproto
#-- start of buildproto

$(inc)dydebug.pp : $(src)xform/dydebug.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/dydebug.c >/dev/null
	cat /dev/null >$(inc)dydebug.pp

#-- end of buildproto
#-- start of buildproto

$(inc)dyoptions.pp : $(src)xform/dyoptions.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/dyoptions.c >/dev/null
	cat /dev/null >$(inc)dyoptions.pp

#-- end of buildproto
#-- start of buildproto

$(inc)dyoutput.pp : $(src)xform/dyoutput.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/dyoutput.c >/dev/null
	cat /dev/null >$(inc)dyoutput.pp

#-- end of buildproto
#-- start of buildproto

$(inc)reffile.pp : $(src)xform/reffile.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/reffile.c >/dev/null
	cat /dev/null >$(inc)reffile.pp

#-- end of buildproto
#-- start of buildproto

$(inc)dysliders.pp : $(src)xform/dysliders.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)xform/dysliders.c >/dev/null
	cat /dev/null >$(inc)dysliders.pp

#-- end of buildproto
#-- start of libary ----------------------

DyLIB :: $(Dylib) $(Dyshstamp)
	$(echo) "Dy : library ok"

$(Dylib) :: $(bin)DyInput.o $(bin)DyUtils.o $(bin)DyXform.o $(bin)DyConfig.o $(bin)DyPlots.o $(bin)fselector.o $(bin)DyXformUser.o $(bin)URootAccess.o $(bin)URootProcess.o $(bin)VDyPlot.o $(bin)VDyPlot2.o $(bin)VViewerSelector.o $(bin)VViewerSelectorCint.o $(bin)jmThread.o $(bin)VDyPlotDict.o $(bin)VDyPlot2Dict.o $(bin)URZoomSeveralDict.o $(bin)Wrapper_checkDict.o $(bin)VViewerSelectorDict.o $(bin)cmservers.o $(bin)getdd.o $(bin)getshm.o $(bin)mainbrowser.o $(bin)plot1d.o $(bin)mainpanel.o $(bin)plot2d.o $(bin)plotaudio.o $(bin)plotgenepar.o $(bin)plotfft.o $(bin)plotffttime.o $(bin)plottrfcttime.o $(bin)plotcohetime.o $(bin)plot1dtime.o $(bin)plotrawtime.o $(bin)plottrfct.o $(bin)plotcohe.o $(bin)plottime.o $(bin)userfuncbrowser.o $(bin)plotraw.o $(bin)dyhelp.o $(bin)dydebug.o $(bin)dyoptions.o $(bin)dyoutput.o $(bin)reffile.o $(bin)dysliders.o
	$(lib_echo) "static library $@"
	$(lib_silent) [ ! -f $@ ] || \rm -f $@
	$(lib_silent) $(ar) $(Dylib) $(bin)DyInput.o $(bin)DyUtils.o $(bin)DyXform.o $(bin)DyConfig.o $(bin)DyPlots.o $(bin)fselector.o $(bin)DyXformUser.o $(bin)URootAccess.o $(bin)URootProcess.o $(bin)VDyPlot.o $(bin)VDyPlot2.o $(bin)VViewerSelector.o $(bin)VViewerSelectorCint.o $(bin)jmThread.o $(bin)VDyPlotDict.o $(bin)VDyPlot2Dict.o $(bin)URZoomSeveralDict.o $(bin)Wrapper_checkDict.o $(bin)VViewerSelectorDict.o $(bin)cmservers.o $(bin)getdd.o $(bin)getshm.o $(bin)mainbrowser.o $(bin)plot1d.o $(bin)mainpanel.o $(bin)plot2d.o $(bin)plotaudio.o $(bin)plotgenepar.o $(bin)plotfft.o $(bin)plotffttime.o $(bin)plottrfcttime.o $(bin)plotcohetime.o $(bin)plot1dtime.o $(bin)plotrawtime.o $(bin)plottrfct.o $(bin)plotcohe.o $(bin)plottime.o $(bin)userfuncbrowser.o $(bin)plotraw.o $(bin)dyhelp.o $(bin)dydebug.o $(bin)dyoptions.o $(bin)dyoutput.o $(bin)reffile.o $(bin)dysliders.o
	$(lib_silent) $(ranlib) $(Dylib)
	$(lib_silent) cat /dev/null >$(Dystamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(Dylibname).$(shlibsuffix) :: $(Dylib) requirements $(use_requirements) $(Dystamps)
	$(lib_echo) "shared library $@"
	$(lib_silent) if test "$(makecmd)"; then QUIET=; else QUIET=1; fi; QUIET=$${QUIET} bin="$(bin)" ld="$(shlibbuilder)" ldflags="$(shlibflags)" suffix=$(shlibsuffix) libprefix=$(library_prefix) libsuffix=$(library_suffix) $(make_shlib) "$(tags)" Dy $(Dy_shlibflags)

$(Dyshstamp) :: $(Dylibname).$(shlibsuffix)
	$(lib_silent) if test -f $(Dylibname).$(shlibsuffix) ; then cat /dev/null >$(Dyshstamp) ; fi

Dyclean ::
	$(cleanup_echo) objects Dy
	$(cleanup_silent) /bin/rm -f $(bin)DyInput.o $(bin)DyUtils.o $(bin)DyXform.o $(bin)DyConfig.o $(bin)DyPlots.o $(bin)fselector.o $(bin)DyXformUser.o $(bin)URootAccess.o $(bin)URootProcess.o $(bin)VDyPlot.o $(bin)VDyPlot2.o $(bin)VViewerSelector.o $(bin)VViewerSelectorCint.o $(bin)jmThread.o $(bin)VDyPlotDict.o $(bin)VDyPlot2Dict.o $(bin)URZoomSeveralDict.o $(bin)Wrapper_checkDict.o $(bin)VViewerSelectorDict.o $(bin)cmservers.o $(bin)getdd.o $(bin)getshm.o $(bin)mainbrowser.o $(bin)plot1d.o $(bin)mainpanel.o $(bin)plot2d.o $(bin)plotaudio.o $(bin)plotgenepar.o $(bin)plotfft.o $(bin)plotffttime.o $(bin)plottrfcttime.o $(bin)plotcohetime.o $(bin)plot1dtime.o $(bin)plotrawtime.o $(bin)plottrfct.o $(bin)plotcohe.o $(bin)plottime.o $(bin)userfuncbrowser.o $(bin)plotraw.o $(bin)dyhelp.o $(bin)dydebug.o $(bin)dyoptions.o $(bin)dyoutput.o $(bin)reffile.o $(bin)dysliders.o
	$(cleanup_silent) /bin/rm -f $(patsubst %.o,%.d,$(bin)DyInput.o $(bin)DyUtils.o $(bin)DyXform.o $(bin)DyConfig.o $(bin)DyPlots.o $(bin)fselector.o $(bin)DyXformUser.o $(bin)URootAccess.o $(bin)URootProcess.o $(bin)VDyPlot.o $(bin)VDyPlot2.o $(bin)VViewerSelector.o $(bin)VViewerSelectorCint.o $(bin)jmThread.o $(bin)VDyPlotDict.o $(bin)VDyPlot2Dict.o $(bin)URZoomSeveralDict.o $(bin)Wrapper_checkDict.o $(bin)VViewerSelectorDict.o $(bin)cmservers.o $(bin)getdd.o $(bin)getshm.o $(bin)mainbrowser.o $(bin)plot1d.o $(bin)mainpanel.o $(bin)plot2d.o $(bin)plotaudio.o $(bin)plotgenepar.o $(bin)plotfft.o $(bin)plotffttime.o $(bin)plottrfcttime.o $(bin)plotcohetime.o $(bin)plot1dtime.o $(bin)plotrawtime.o $(bin)plottrfct.o $(bin)plotcohe.o $(bin)plottime.o $(bin)userfuncbrowser.o $(bin)plotraw.o $(bin)dyhelp.o $(bin)dydebug.o $(bin)dyoptions.o $(bin)dyoutput.o $(bin)reffile.o $(bin)dysliders.o) $(patsubst %.o,%.dep,$(bin)DyInput.o $(bin)DyUtils.o $(bin)DyXform.o $(bin)DyConfig.o $(bin)DyPlots.o $(bin)fselector.o $(bin)DyXformUser.o $(bin)URootAccess.o $(bin)URootProcess.o $(bin)VDyPlot.o $(bin)VDyPlot2.o $(bin)VViewerSelector.o $(bin)VViewerSelectorCint.o $(bin)jmThread.o $(bin)VDyPlotDict.o $(bin)VDyPlot2Dict.o $(bin)URZoomSeveralDict.o $(bin)Wrapper_checkDict.o $(bin)VViewerSelectorDict.o $(bin)cmservers.o $(bin)getdd.o $(bin)getshm.o $(bin)mainbrowser.o $(bin)plot1d.o $(bin)mainpanel.o $(bin)plot2d.o $(bin)plotaudio.o $(bin)plotgenepar.o $(bin)plotfft.o $(bin)plotffttime.o $(bin)plottrfcttime.o $(bin)plotcohetime.o $(bin)plot1dtime.o $(bin)plotrawtime.o $(bin)plottrfct.o $(bin)plotcohe.o $(bin)plottime.o $(bin)userfuncbrowser.o $(bin)plotraw.o $(bin)dyhelp.o $(bin)dydebug.o $(bin)dyoptions.o $(bin)dyoutput.o $(bin)reffile.o $(bin)dysliders.o) $(patsubst %.o,%.d.stamp,$(bin)DyInput.o $(bin)DyUtils.o $(bin)DyXform.o $(bin)DyConfig.o $(bin)DyPlots.o $(bin)fselector.o $(bin)DyXformUser.o $(bin)URootAccess.o $(bin)URootProcess.o $(bin)VDyPlot.o $(bin)VDyPlot2.o $(bin)VViewerSelector.o $(bin)VViewerSelectorCint.o $(bin)jmThread.o $(bin)VDyPlotDict.o $(bin)VDyPlot2Dict.o $(bin)URZoomSeveralDict.o $(bin)Wrapper_checkDict.o $(bin)VViewerSelectorDict.o $(bin)cmservers.o $(bin)getdd.o $(bin)getshm.o $(bin)mainbrowser.o $(bin)plot1d.o $(bin)mainpanel.o $(bin)plot2d.o $(bin)plotaudio.o $(bin)plotgenepar.o $(bin)plotfft.o $(bin)plotffttime.o $(bin)plottrfcttime.o $(bin)plotcohetime.o $(bin)plot1dtime.o $(bin)plotrawtime.o $(bin)plottrfct.o $(bin)plotcohe.o $(bin)plottime.o $(bin)userfuncbrowser.o $(bin)plotraw.o $(bin)dyhelp.o $(bin)dydebug.o $(bin)dyoptions.o $(bin)dyoutput.o $(bin)reffile.o $(bin)dysliders.o)
	$(cleanup_silent) cd $(bin); /bin/rm -rf Dy_deps Dy_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
Dyinstallname = $(library_prefix)Dy$(library_suffix).$(shlibsuffix)

Dy :: Dyinstall ;

install :: Dyinstall ;

Dyinstall :: $(install_dir)/$(Dyinstallname)
ifdef CMTINSTALLAREA
	$(echo) "installation done"
endif

$(install_dir)/$(Dyinstallname) :: $(bin)$(Dyinstallname)
ifdef CMTINSTALLAREA
	$(install_silent) $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(Dyinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)"
endif

##Dyclean :: Dyuninstall

uninstall :: Dyuninstall ;

Dyuninstall ::
ifdef CMTINSTALLAREA
	$(cleanup_silent) $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(Dyinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)"
endif

#-- end of libary -----------------------
#-- start of dependencies ------------------
ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)

$(bin)Dy_dependencies.make : $(use_requirements) $(cmt_final_setup_Dy)
	$(echo) "(Dy.make) Rebuilding $@"; \
	  $(build_dependencies) -out=$@ -start_all $(src)DyInput.c $(src)DyUtils.c $(src)DyXform.c $(src)DyConfig.c $(src)DyPlots.c $(src)fselector.c $(src)DyXformUser.c $(src)URootAccess.cc $(src)URootProcess.cc $(src)VDyPlot.cc $(src)VDyPlot2.cc $(src)VViewerSelector.cc $(src)VViewerSelectorCint.cc $(src)jmThread.c ../Linux-x86_64-SL6/VDyPlotDict.cc ../Linux-x86_64-SL6/VDyPlot2Dict.cc ../Linux-x86_64-SL6/URZoomSeveralDict.cc ../Linux-x86_64-SL6/Wrapper_checkDict.cc ../Linux-x86_64-SL6/VViewerSelectorDict.cc $(src)xform/cmservers.c $(src)xform/getdd.c $(src)xform/getshm.c $(src)xform/mainbrowser.c $(src)xform/plot1d.c $(src)xform/mainpanel.c $(src)xform/plot2d.c $(src)xform/plotaudio.c $(src)xform/plotgenepar.c $(src)xform/plotfft.c $(src)xform/plotffttime.c $(src)xform/plottrfcttime.c $(src)xform/plotcohetime.c $(src)xform/plot1dtime.c $(src)xform/plotrawtime.c $(src)xform/plottrfct.c $(src)xform/plotcohe.c $(src)xform/plottime.c $(src)xform/userfuncbrowser.c $(src)xform/plotraw.c $(src)xform/dyhelp.c $(src)xform/dydebug.c $(src)xform/dyoptions.c $(src)xform/dyoutput.c $(src)xform/reffile.c $(src)xform/dysliders.c -end_all $(includes) $(app_Dy_cppflags) $(lib_Dy_cppflags) -name=Dy $? -f=$(cmt_dependencies_in_Dy) -without_cmt

-include $(bin)Dy_dependencies.make

endif
endif

Dyclean ::
	$(cleanup_silent) \rm -rf $(bin)Dy_deps $(bin)Dy_dependencies.make
#-- end of dependencies -------------------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)DyInput.d

$(bin)$(binobj)DyInput.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)DyInput.d : $(src)DyInput.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/DyInput.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyInput_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyInput_cflags) $(DyInput_c_cflags)  $(src)DyInput.c
	$(c_silent) $(format_dependencies) $@ $(@D)/DyInput.o $(src)DyInput.c $(@D)/DyInput.dep
endif
endif

$(bin)$(binobj)DyInput.o : $(src)DyInput.c
else
$(bin)Dy_dependencies.make : $(DyInput_c_dependencies)

$(bin)Dy_dependencies.make : $(src)DyInput.c

$(bin)$(binobj)DyInput.o : $(DyInput_c_dependencies)
endif
	$(c_echo) $(src)DyInput.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyInput_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyInput_cflags) $(DyInput_c_cflags)  $(src)DyInput.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)DyUtils.d

$(bin)$(binobj)DyUtils.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)DyUtils.d : $(src)DyUtils.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/DyUtils.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyUtils_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyUtils_cflags) $(DyUtils_c_cflags)  $(src)DyUtils.c
	$(c_silent) $(format_dependencies) $@ $(@D)/DyUtils.o $(src)DyUtils.c $(@D)/DyUtils.dep
endif
endif

$(bin)$(binobj)DyUtils.o : $(src)DyUtils.c
else
$(bin)Dy_dependencies.make : $(DyUtils_c_dependencies)

$(bin)Dy_dependencies.make : $(src)DyUtils.c

$(bin)$(binobj)DyUtils.o : $(DyUtils_c_dependencies)
endif
	$(c_echo) $(src)DyUtils.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyUtils_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyUtils_cflags) $(DyUtils_c_cflags)  $(src)DyUtils.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)DyXform.d

$(bin)$(binobj)DyXform.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)DyXform.d : $(src)DyXform.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/DyXform.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyXform_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyXform_cflags) $(DyXform_c_cflags)  $(src)DyXform.c
	$(c_silent) $(format_dependencies) $@ $(@D)/DyXform.o $(src)DyXform.c $(@D)/DyXform.dep
endif
endif

$(bin)$(binobj)DyXform.o : $(src)DyXform.c
else
$(bin)Dy_dependencies.make : $(DyXform_c_dependencies)

$(bin)Dy_dependencies.make : $(src)DyXform.c

$(bin)$(binobj)DyXform.o : $(DyXform_c_dependencies)
endif
	$(c_echo) $(src)DyXform.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyXform_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyXform_cflags) $(DyXform_c_cflags)  $(src)DyXform.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)DyConfig.d

$(bin)$(binobj)DyConfig.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)DyConfig.d : $(src)DyConfig.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/DyConfig.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyConfig_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyConfig_cflags) $(DyConfig_c_cflags)  $(src)DyConfig.c
	$(c_silent) $(format_dependencies) $@ $(@D)/DyConfig.o $(src)DyConfig.c $(@D)/DyConfig.dep
endif
endif

$(bin)$(binobj)DyConfig.o : $(src)DyConfig.c
else
$(bin)Dy_dependencies.make : $(DyConfig_c_dependencies)

$(bin)Dy_dependencies.make : $(src)DyConfig.c

$(bin)$(binobj)DyConfig.o : $(DyConfig_c_dependencies)
endif
	$(c_echo) $(src)DyConfig.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyConfig_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyConfig_cflags) $(DyConfig_c_cflags)  $(src)DyConfig.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)DyPlots.d

$(bin)$(binobj)DyPlots.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)DyPlots.d : $(src)DyPlots.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/DyPlots.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyPlots_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyPlots_cflags) $(DyPlots_c_cflags)  $(src)DyPlots.c
	$(c_silent) $(format_dependencies) $@ $(@D)/DyPlots.o $(src)DyPlots.c $(@D)/DyPlots.dep
endif
endif

$(bin)$(binobj)DyPlots.o : $(src)DyPlots.c
else
$(bin)Dy_dependencies.make : $(DyPlots_c_dependencies)

$(bin)Dy_dependencies.make : $(src)DyPlots.c

$(bin)$(binobj)DyPlots.o : $(DyPlots_c_dependencies)
endif
	$(c_echo) $(src)DyPlots.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyPlots_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyPlots_cflags) $(DyPlots_c_cflags)  $(src)DyPlots.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)fselector.d

$(bin)$(binobj)fselector.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)fselector.d : $(src)fselector.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/fselector.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(fselector_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(fselector_cflags) $(fselector_c_cflags)  $(src)fselector.c
	$(c_silent) $(format_dependencies) $@ $(@D)/fselector.o $(src)fselector.c $(@D)/fselector.dep
endif
endif

$(bin)$(binobj)fselector.o : $(src)fselector.c
else
$(bin)Dy_dependencies.make : $(fselector_c_dependencies)

$(bin)Dy_dependencies.make : $(src)fselector.c

$(bin)$(binobj)fselector.o : $(fselector_c_dependencies)
endif
	$(c_echo) $(src)fselector.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(fselector_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(fselector_cflags) $(fselector_c_cflags)  $(src)fselector.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)DyXformUser.d

$(bin)$(binobj)DyXformUser.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)DyXformUser.d : $(src)DyXformUser.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/DyXformUser.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyXformUser_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyXformUser_cflags) $(DyXformUser_c_cflags)  $(src)DyXformUser.c
	$(c_silent) $(format_dependencies) $@ $(@D)/DyXformUser.o $(src)DyXformUser.c $(@D)/DyXformUser.dep
endif
endif

$(bin)$(binobj)DyXformUser.o : $(src)DyXformUser.c
else
$(bin)Dy_dependencies.make : $(DyXformUser_c_dependencies)

$(bin)Dy_dependencies.make : $(src)DyXformUser.c

$(bin)$(binobj)DyXformUser.o : $(DyXformUser_c_dependencies)
endif
	$(c_echo) $(src)DyXformUser.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyXformUser_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyXformUser_cflags) $(DyXformUser_c_cflags)  $(src)DyXformUser.c

#-- end of c_library ------
#-- start of cpp_library -----------------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)URootAccess.d

$(bin)$(binobj)URootAccess.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)URootAccess.d : $(src)URootAccess.cc
	$(dep_echo) $@
	$(cpp_silent) $(cppcomp)  -o $(@D)/URootAccess.dep $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(URootAccess_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(URootAccess_cppflags) $(URootAccess_cc_cppflags)  $(src)URootAccess.cc
	$(cpp_silent) $(format_dependencies) $@ $(@D)/URootAccess.o $(src)URootAccess.cc $(@D)/URootAccess.dep
endif
endif

$(bin)$(binobj)URootAccess.o : $(src)URootAccess.cc
else
$(bin)Dy_dependencies.make : $(URootAccess_cc_dependencies)

$(bin)Dy_dependencies.make : $(src)URootAccess.cc

$(bin)$(binobj)URootAccess.o : $(URootAccess_cc_dependencies)
endif
	$(cpp_echo) $(src)URootAccess.cc
	$(cpp_silent) $(cppcomp) -o $@ $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(URootAccess_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(URootAccess_cppflags) $(URootAccess_cc_cppflags)  $(src)URootAccess.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)URootProcess.d

$(bin)$(binobj)URootProcess.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)URootProcess.d : $(src)URootProcess.cc
	$(dep_echo) $@
	$(cpp_silent) $(cppcomp)  -o $(@D)/URootProcess.dep $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(URootProcess_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(URootProcess_cppflags) $(URootProcess_cc_cppflags)  $(src)URootProcess.cc
	$(cpp_silent) $(format_dependencies) $@ $(@D)/URootProcess.o $(src)URootProcess.cc $(@D)/URootProcess.dep
endif
endif

$(bin)$(binobj)URootProcess.o : $(src)URootProcess.cc
else
$(bin)Dy_dependencies.make : $(URootProcess_cc_dependencies)

$(bin)Dy_dependencies.make : $(src)URootProcess.cc

$(bin)$(binobj)URootProcess.o : $(URootProcess_cc_dependencies)
endif
	$(cpp_echo) $(src)URootProcess.cc
	$(cpp_silent) $(cppcomp) -o $@ $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(URootProcess_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(URootProcess_cppflags) $(URootProcess_cc_cppflags)  $(src)URootProcess.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)VDyPlot.d

$(bin)$(binobj)VDyPlot.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)VDyPlot.d : $(src)VDyPlot.cc
	$(dep_echo) $@
	$(cpp_silent) $(cppcomp)  -o $(@D)/VDyPlot.dep $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlot_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlot_cppflags) $(VDyPlot_cc_cppflags)  $(src)VDyPlot.cc
	$(cpp_silent) $(format_dependencies) $@ $(@D)/VDyPlot.o $(src)VDyPlot.cc $(@D)/VDyPlot.dep
endif
endif

$(bin)$(binobj)VDyPlot.o : $(src)VDyPlot.cc
else
$(bin)Dy_dependencies.make : $(VDyPlot_cc_dependencies)

$(bin)Dy_dependencies.make : $(src)VDyPlot.cc

$(bin)$(binobj)VDyPlot.o : $(VDyPlot_cc_dependencies)
endif
	$(cpp_echo) $(src)VDyPlot.cc
	$(cpp_silent) $(cppcomp) -o $@ $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlot_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlot_cppflags) $(VDyPlot_cc_cppflags)  $(src)VDyPlot.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)VDyPlot2.d

$(bin)$(binobj)VDyPlot2.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)VDyPlot2.d : $(src)VDyPlot2.cc
	$(dep_echo) $@
	$(cpp_silent) $(cppcomp)  -o $(@D)/VDyPlot2.dep $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlot2_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlot2_cppflags) $(VDyPlot2_cc_cppflags)  $(src)VDyPlot2.cc
	$(cpp_silent) $(format_dependencies) $@ $(@D)/VDyPlot2.o $(src)VDyPlot2.cc $(@D)/VDyPlot2.dep
endif
endif

$(bin)$(binobj)VDyPlot2.o : $(src)VDyPlot2.cc
else
$(bin)Dy_dependencies.make : $(VDyPlot2_cc_dependencies)

$(bin)Dy_dependencies.make : $(src)VDyPlot2.cc

$(bin)$(binobj)VDyPlot2.o : $(VDyPlot2_cc_dependencies)
endif
	$(cpp_echo) $(src)VDyPlot2.cc
	$(cpp_silent) $(cppcomp) -o $@ $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlot2_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlot2_cppflags) $(VDyPlot2_cc_cppflags)  $(src)VDyPlot2.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)VViewerSelector.d

$(bin)$(binobj)VViewerSelector.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)VViewerSelector.d : $(src)VViewerSelector.cc
	$(dep_echo) $@
	$(cpp_silent) $(cppcomp)  -o $(@D)/VViewerSelector.dep $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VViewerSelector_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VViewerSelector_cppflags) $(VViewerSelector_cc_cppflags)  $(src)VViewerSelector.cc
	$(cpp_silent) $(format_dependencies) $@ $(@D)/VViewerSelector.o $(src)VViewerSelector.cc $(@D)/VViewerSelector.dep
endif
endif

$(bin)$(binobj)VViewerSelector.o : $(src)VViewerSelector.cc
else
$(bin)Dy_dependencies.make : $(VViewerSelector_cc_dependencies)

$(bin)Dy_dependencies.make : $(src)VViewerSelector.cc

$(bin)$(binobj)VViewerSelector.o : $(VViewerSelector_cc_dependencies)
endif
	$(cpp_echo) $(src)VViewerSelector.cc
	$(cpp_silent) $(cppcomp) -o $@ $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VViewerSelector_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VViewerSelector_cppflags) $(VViewerSelector_cc_cppflags)  $(src)VViewerSelector.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)VViewerSelectorCint.d

$(bin)$(binobj)VViewerSelectorCint.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)VViewerSelectorCint.d : $(src)VViewerSelectorCint.cc
	$(dep_echo) $@
	$(cpp_silent) $(cppcomp)  -o $(@D)/VViewerSelectorCint.dep $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VViewerSelectorCint_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VViewerSelectorCint_cppflags) $(VViewerSelectorCint_cc_cppflags)  $(src)VViewerSelectorCint.cc
	$(cpp_silent) $(format_dependencies) $@ $(@D)/VViewerSelectorCint.o $(src)VViewerSelectorCint.cc $(@D)/VViewerSelectorCint.dep
endif
endif

$(bin)$(binobj)VViewerSelectorCint.o : $(src)VViewerSelectorCint.cc
else
$(bin)Dy_dependencies.make : $(VViewerSelectorCint_cc_dependencies)

$(bin)Dy_dependencies.make : $(src)VViewerSelectorCint.cc

$(bin)$(binobj)VViewerSelectorCint.o : $(VViewerSelectorCint_cc_dependencies)
endif
	$(cpp_echo) $(src)VViewerSelectorCint.cc
	$(cpp_silent) $(cppcomp) -o $@ $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VViewerSelectorCint_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VViewerSelectorCint_cppflags) $(VViewerSelectorCint_cc_cppflags)  $(src)VViewerSelectorCint.cc

#-- end of cpp_library ------------------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)jmThread.d

$(bin)$(binobj)jmThread.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)jmThread.d : $(src)jmThread.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/jmThread.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(jmThread_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(jmThread_cflags) $(jmThread_c_cflags)  $(src)jmThread.c
	$(c_silent) $(format_dependencies) $@ $(@D)/jmThread.o $(src)jmThread.c $(@D)/jmThread.dep
endif
endif

$(bin)$(binobj)jmThread.o : $(src)jmThread.c
else
$(bin)Dy_dependencies.make : $(jmThread_c_dependencies)

$(bin)Dy_dependencies.make : $(src)jmThread.c

$(bin)$(binobj)jmThread.o : $(jmThread_c_dependencies)
endif
	$(c_echo) $(src)jmThread.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(jmThread_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(jmThread_cflags) $(jmThread_c_cflags)  $(src)jmThread.c

#-- end of c_library ------
#-- start of cpp_library -----------------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)VDyPlotDict.d

$(bin)$(binobj)VDyPlotDict.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)VDyPlotDict.d : ../Linux-x86_64-SL6/VDyPlotDict.cc
	$(dep_echo) $@
	$(cpp_silent) $(cppcomp)  -o $(@D)/VDyPlotDict.dep $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlotDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlotDict_cppflags) $(VDyPlotDict_cc_cppflags) -I../Linux-x86_64-SL6 ../Linux-x86_64-SL6/VDyPlotDict.cc
	$(cpp_silent) $(format_dependencies) $@ $(@D)/VDyPlotDict.o ../Linux-x86_64-SL6/VDyPlotDict.cc $(@D)/VDyPlotDict.dep
endif
endif

$(bin)$(binobj)VDyPlotDict.o : ../Linux-x86_64-SL6/VDyPlotDict.cc
else
$(bin)Dy_dependencies.make : $(VDyPlotDict_cc_dependencies)

$(bin)Dy_dependencies.make : ../Linux-x86_64-SL6/VDyPlotDict.cc

$(bin)$(binobj)VDyPlotDict.o : $(VDyPlotDict_cc_dependencies)
endif
	$(cpp_echo) ../Linux-x86_64-SL6/VDyPlotDict.cc
	$(cpp_silent) $(cppcomp) -o $@ $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlotDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlotDict_cppflags) $(VDyPlotDict_cc_cppflags) -I../Linux-x86_64-SL6 ../Linux-x86_64-SL6/VDyPlotDict.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)VDyPlot2Dict.d

$(bin)$(binobj)VDyPlot2Dict.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)VDyPlot2Dict.d : ../Linux-x86_64-SL6/VDyPlot2Dict.cc
	$(dep_echo) $@
	$(cpp_silent) $(cppcomp)  -o $(@D)/VDyPlot2Dict.dep $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlot2Dict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlot2Dict_cppflags) $(VDyPlot2Dict_cc_cppflags) -I../Linux-x86_64-SL6 ../Linux-x86_64-SL6/VDyPlot2Dict.cc
	$(cpp_silent) $(format_dependencies) $@ $(@D)/VDyPlot2Dict.o ../Linux-x86_64-SL6/VDyPlot2Dict.cc $(@D)/VDyPlot2Dict.dep
endif
endif

$(bin)$(binobj)VDyPlot2Dict.o : ../Linux-x86_64-SL6/VDyPlot2Dict.cc
else
$(bin)Dy_dependencies.make : $(VDyPlot2Dict_cc_dependencies)

$(bin)Dy_dependencies.make : ../Linux-x86_64-SL6/VDyPlot2Dict.cc

$(bin)$(binobj)VDyPlot2Dict.o : $(VDyPlot2Dict_cc_dependencies)
endif
	$(cpp_echo) ../Linux-x86_64-SL6/VDyPlot2Dict.cc
	$(cpp_silent) $(cppcomp) -o $@ $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlot2Dict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlot2Dict_cppflags) $(VDyPlot2Dict_cc_cppflags) -I../Linux-x86_64-SL6 ../Linux-x86_64-SL6/VDyPlot2Dict.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)URZoomSeveralDict.d

$(bin)$(binobj)URZoomSeveralDict.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)URZoomSeveralDict.d : ../Linux-x86_64-SL6/URZoomSeveralDict.cc
	$(dep_echo) $@
	$(cpp_silent) $(cppcomp)  -o $(@D)/URZoomSeveralDict.dep $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(URZoomSeveralDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(URZoomSeveralDict_cppflags) $(URZoomSeveralDict_cc_cppflags) -I../Linux-x86_64-SL6 ../Linux-x86_64-SL6/URZoomSeveralDict.cc
	$(cpp_silent) $(format_dependencies) $@ $(@D)/URZoomSeveralDict.o ../Linux-x86_64-SL6/URZoomSeveralDict.cc $(@D)/URZoomSeveralDict.dep
endif
endif

$(bin)$(binobj)URZoomSeveralDict.o : ../Linux-x86_64-SL6/URZoomSeveralDict.cc
else
$(bin)Dy_dependencies.make : $(URZoomSeveralDict_cc_dependencies)

$(bin)Dy_dependencies.make : ../Linux-x86_64-SL6/URZoomSeveralDict.cc

$(bin)$(binobj)URZoomSeveralDict.o : $(URZoomSeveralDict_cc_dependencies)
endif
	$(cpp_echo) ../Linux-x86_64-SL6/URZoomSeveralDict.cc
	$(cpp_silent) $(cppcomp) -o $@ $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(URZoomSeveralDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(URZoomSeveralDict_cppflags) $(URZoomSeveralDict_cc_cppflags) -I../Linux-x86_64-SL6 ../Linux-x86_64-SL6/URZoomSeveralDict.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)Wrapper_checkDict.d

$(bin)$(binobj)Wrapper_checkDict.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)Wrapper_checkDict.d : ../Linux-x86_64-SL6/Wrapper_checkDict.cc
	$(dep_echo) $@
	$(cpp_silent) $(cppcomp)  -o $(@D)/Wrapper_checkDict.dep $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(Wrapper_checkDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(Wrapper_checkDict_cppflags) $(Wrapper_checkDict_cc_cppflags) -I../Linux-x86_64-SL6 ../Linux-x86_64-SL6/Wrapper_checkDict.cc
	$(cpp_silent) $(format_dependencies) $@ $(@D)/Wrapper_checkDict.o ../Linux-x86_64-SL6/Wrapper_checkDict.cc $(@D)/Wrapper_checkDict.dep
endif
endif

$(bin)$(binobj)Wrapper_checkDict.o : ../Linux-x86_64-SL6/Wrapper_checkDict.cc
else
$(bin)Dy_dependencies.make : $(Wrapper_checkDict_cc_dependencies)

$(bin)Dy_dependencies.make : ../Linux-x86_64-SL6/Wrapper_checkDict.cc

$(bin)$(binobj)Wrapper_checkDict.o : $(Wrapper_checkDict_cc_dependencies)
endif
	$(cpp_echo) ../Linux-x86_64-SL6/Wrapper_checkDict.cc
	$(cpp_silent) $(cppcomp) -o $@ $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(Wrapper_checkDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(Wrapper_checkDict_cppflags) $(Wrapper_checkDict_cc_cppflags) -I../Linux-x86_64-SL6 ../Linux-x86_64-SL6/Wrapper_checkDict.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)VViewerSelectorDict.d

$(bin)$(binobj)VViewerSelectorDict.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)VViewerSelectorDict.d : ../Linux-x86_64-SL6/VViewerSelectorDict.cc
	$(dep_echo) $@
	$(cpp_silent) $(cppcomp)  -o $(@D)/VViewerSelectorDict.dep $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VViewerSelectorDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VViewerSelectorDict_cppflags) $(VViewerSelectorDict_cc_cppflags) -I../Linux-x86_64-SL6 ../Linux-x86_64-SL6/VViewerSelectorDict.cc
	$(cpp_silent) $(format_dependencies) $@ $(@D)/VViewerSelectorDict.o ../Linux-x86_64-SL6/VViewerSelectorDict.cc $(@D)/VViewerSelectorDict.dep
endif
endif

$(bin)$(binobj)VViewerSelectorDict.o : ../Linux-x86_64-SL6/VViewerSelectorDict.cc
else
$(bin)Dy_dependencies.make : $(VViewerSelectorDict_cc_dependencies)

$(bin)Dy_dependencies.make : ../Linux-x86_64-SL6/VViewerSelectorDict.cc

$(bin)$(binobj)VViewerSelectorDict.o : $(VViewerSelectorDict_cc_dependencies)
endif
	$(cpp_echo) ../Linux-x86_64-SL6/VViewerSelectorDict.cc
	$(cpp_silent) $(cppcomp) -o $@ $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VViewerSelectorDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VViewerSelectorDict_cppflags) $(VViewerSelectorDict_cc_cppflags) -I../Linux-x86_64-SL6 ../Linux-x86_64-SL6/VViewerSelectorDict.cc

#-- end of cpp_library ------------------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)cmservers.d

$(bin)$(binobj)cmservers.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)cmservers.d : $(src)xform/cmservers.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/cmservers.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(cmservers_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(cmservers_cflags) $(cmservers_c_cflags) -I../src/xform $(src)xform/cmservers.c
	$(c_silent) $(format_dependencies) $@ $(@D)/cmservers.o $(src)xform/cmservers.c $(@D)/cmservers.dep
endif
endif

$(bin)$(binobj)cmservers.o : $(src)xform/cmservers.c
else
$(bin)Dy_dependencies.make : $(cmservers_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/cmservers.c

$(bin)$(binobj)cmservers.o : $(cmservers_c_dependencies)
endif
	$(c_echo) $(src)xform/cmservers.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(cmservers_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(cmservers_cflags) $(cmservers_c_cflags) -I../src/xform $(src)xform/cmservers.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)getdd.d

$(bin)$(binobj)getdd.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)getdd.d : $(src)xform/getdd.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/getdd.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(getdd_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(getdd_cflags) $(getdd_c_cflags) -I../src/xform $(src)xform/getdd.c
	$(c_silent) $(format_dependencies) $@ $(@D)/getdd.o $(src)xform/getdd.c $(@D)/getdd.dep
endif
endif

$(bin)$(binobj)getdd.o : $(src)xform/getdd.c
else
$(bin)Dy_dependencies.make : $(getdd_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/getdd.c

$(bin)$(binobj)getdd.o : $(getdd_c_dependencies)
endif
	$(c_echo) $(src)xform/getdd.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(getdd_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(getdd_cflags) $(getdd_c_cflags) -I../src/xform $(src)xform/getdd.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)getshm.d

$(bin)$(binobj)getshm.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)getshm.d : $(src)xform/getshm.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/getshm.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(getshm_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(getshm_cflags) $(getshm_c_cflags) -I../src/xform $(src)xform/getshm.c
	$(c_silent) $(format_dependencies) $@ $(@D)/getshm.o $(src)xform/getshm.c $(@D)/getshm.dep
endif
endif

$(bin)$(binobj)getshm.o : $(src)xform/getshm.c
else
$(bin)Dy_dependencies.make : $(getshm_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/getshm.c

$(bin)$(binobj)getshm.o : $(getshm_c_dependencies)
endif
	$(c_echo) $(src)xform/getshm.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(getshm_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(getshm_cflags) $(getshm_c_cflags) -I../src/xform $(src)xform/getshm.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)mainbrowser.d

$(bin)$(binobj)mainbrowser.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)mainbrowser.d : $(src)xform/mainbrowser.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/mainbrowser.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(mainbrowser_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(mainbrowser_cflags) $(mainbrowser_c_cflags) -I../src/xform $(src)xform/mainbrowser.c
	$(c_silent) $(format_dependencies) $@ $(@D)/mainbrowser.o $(src)xform/mainbrowser.c $(@D)/mainbrowser.dep
endif
endif

$(bin)$(binobj)mainbrowser.o : $(src)xform/mainbrowser.c
else
$(bin)Dy_dependencies.make : $(mainbrowser_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/mainbrowser.c

$(bin)$(binobj)mainbrowser.o : $(mainbrowser_c_dependencies)
endif
	$(c_echo) $(src)xform/mainbrowser.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(mainbrowser_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(mainbrowser_cflags) $(mainbrowser_c_cflags) -I../src/xform $(src)xform/mainbrowser.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plot1d.d

$(bin)$(binobj)plot1d.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plot1d.d : $(src)xform/plot1d.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plot1d.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plot1d_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plot1d_cflags) $(plot1d_c_cflags) -I../src/xform $(src)xform/plot1d.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plot1d.o $(src)xform/plot1d.c $(@D)/plot1d.dep
endif
endif

$(bin)$(binobj)plot1d.o : $(src)xform/plot1d.c
else
$(bin)Dy_dependencies.make : $(plot1d_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plot1d.c

$(bin)$(binobj)plot1d.o : $(plot1d_c_dependencies)
endif
	$(c_echo) $(src)xform/plot1d.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plot1d_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plot1d_cflags) $(plot1d_c_cflags) -I../src/xform $(src)xform/plot1d.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)mainpanel.d

$(bin)$(binobj)mainpanel.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)mainpanel.d : $(src)xform/mainpanel.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/mainpanel.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(mainpanel_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(mainpanel_cflags) $(mainpanel_c_cflags) -I../src/xform $(src)xform/mainpanel.c
	$(c_silent) $(format_dependencies) $@ $(@D)/mainpanel.o $(src)xform/mainpanel.c $(@D)/mainpanel.dep
endif
endif

$(bin)$(binobj)mainpanel.o : $(src)xform/mainpanel.c
else
$(bin)Dy_dependencies.make : $(mainpanel_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/mainpanel.c

$(bin)$(binobj)mainpanel.o : $(mainpanel_c_dependencies)
endif
	$(c_echo) $(src)xform/mainpanel.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(mainpanel_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(mainpanel_cflags) $(mainpanel_c_cflags) -I../src/xform $(src)xform/mainpanel.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plot2d.d

$(bin)$(binobj)plot2d.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plot2d.d : $(src)xform/plot2d.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plot2d.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plot2d_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plot2d_cflags) $(plot2d_c_cflags) -I../src/xform $(src)xform/plot2d.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plot2d.o $(src)xform/plot2d.c $(@D)/plot2d.dep
endif
endif

$(bin)$(binobj)plot2d.o : $(src)xform/plot2d.c
else
$(bin)Dy_dependencies.make : $(plot2d_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plot2d.c

$(bin)$(binobj)plot2d.o : $(plot2d_c_dependencies)
endif
	$(c_echo) $(src)xform/plot2d.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plot2d_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plot2d_cflags) $(plot2d_c_cflags) -I../src/xform $(src)xform/plot2d.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plotaudio.d

$(bin)$(binobj)plotaudio.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plotaudio.d : $(src)xform/plotaudio.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plotaudio.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotaudio_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotaudio_cflags) $(plotaudio_c_cflags) -I../src/xform $(src)xform/plotaudio.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plotaudio.o $(src)xform/plotaudio.c $(@D)/plotaudio.dep
endif
endif

$(bin)$(binobj)plotaudio.o : $(src)xform/plotaudio.c
else
$(bin)Dy_dependencies.make : $(plotaudio_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plotaudio.c

$(bin)$(binobj)plotaudio.o : $(plotaudio_c_dependencies)
endif
	$(c_echo) $(src)xform/plotaudio.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotaudio_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotaudio_cflags) $(plotaudio_c_cflags) -I../src/xform $(src)xform/plotaudio.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plotgenepar.d

$(bin)$(binobj)plotgenepar.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plotgenepar.d : $(src)xform/plotgenepar.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plotgenepar.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotgenepar_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotgenepar_cflags) $(plotgenepar_c_cflags) -I../src/xform $(src)xform/plotgenepar.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plotgenepar.o $(src)xform/plotgenepar.c $(@D)/plotgenepar.dep
endif
endif

$(bin)$(binobj)plotgenepar.o : $(src)xform/plotgenepar.c
else
$(bin)Dy_dependencies.make : $(plotgenepar_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plotgenepar.c

$(bin)$(binobj)plotgenepar.o : $(plotgenepar_c_dependencies)
endif
	$(c_echo) $(src)xform/plotgenepar.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotgenepar_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotgenepar_cflags) $(plotgenepar_c_cflags) -I../src/xform $(src)xform/plotgenepar.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plotfft.d

$(bin)$(binobj)plotfft.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plotfft.d : $(src)xform/plotfft.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plotfft.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotfft_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotfft_cflags) $(plotfft_c_cflags) -I../src/xform $(src)xform/plotfft.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plotfft.o $(src)xform/plotfft.c $(@D)/plotfft.dep
endif
endif

$(bin)$(binobj)plotfft.o : $(src)xform/plotfft.c
else
$(bin)Dy_dependencies.make : $(plotfft_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plotfft.c

$(bin)$(binobj)plotfft.o : $(plotfft_c_dependencies)
endif
	$(c_echo) $(src)xform/plotfft.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotfft_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotfft_cflags) $(plotfft_c_cflags) -I../src/xform $(src)xform/plotfft.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plotffttime.d

$(bin)$(binobj)plotffttime.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plotffttime.d : $(src)xform/plotffttime.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plotffttime.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotffttime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotffttime_cflags) $(plotffttime_c_cflags) -I../src/xform $(src)xform/plotffttime.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plotffttime.o $(src)xform/plotffttime.c $(@D)/plotffttime.dep
endif
endif

$(bin)$(binobj)plotffttime.o : $(src)xform/plotffttime.c
else
$(bin)Dy_dependencies.make : $(plotffttime_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plotffttime.c

$(bin)$(binobj)plotffttime.o : $(plotffttime_c_dependencies)
endif
	$(c_echo) $(src)xform/plotffttime.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotffttime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotffttime_cflags) $(plotffttime_c_cflags) -I../src/xform $(src)xform/plotffttime.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plottrfcttime.d

$(bin)$(binobj)plottrfcttime.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plottrfcttime.d : $(src)xform/plottrfcttime.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plottrfcttime.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plottrfcttime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plottrfcttime_cflags) $(plottrfcttime_c_cflags) -I../src/xform $(src)xform/plottrfcttime.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plottrfcttime.o $(src)xform/plottrfcttime.c $(@D)/plottrfcttime.dep
endif
endif

$(bin)$(binobj)plottrfcttime.o : $(src)xform/plottrfcttime.c
else
$(bin)Dy_dependencies.make : $(plottrfcttime_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plottrfcttime.c

$(bin)$(binobj)plottrfcttime.o : $(plottrfcttime_c_dependencies)
endif
	$(c_echo) $(src)xform/plottrfcttime.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plottrfcttime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plottrfcttime_cflags) $(plottrfcttime_c_cflags) -I../src/xform $(src)xform/plottrfcttime.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plotcohetime.d

$(bin)$(binobj)plotcohetime.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plotcohetime.d : $(src)xform/plotcohetime.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plotcohetime.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotcohetime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotcohetime_cflags) $(plotcohetime_c_cflags) -I../src/xform $(src)xform/plotcohetime.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plotcohetime.o $(src)xform/plotcohetime.c $(@D)/plotcohetime.dep
endif
endif

$(bin)$(binobj)plotcohetime.o : $(src)xform/plotcohetime.c
else
$(bin)Dy_dependencies.make : $(plotcohetime_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plotcohetime.c

$(bin)$(binobj)plotcohetime.o : $(plotcohetime_c_dependencies)
endif
	$(c_echo) $(src)xform/plotcohetime.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotcohetime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotcohetime_cflags) $(plotcohetime_c_cflags) -I../src/xform $(src)xform/plotcohetime.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plot1dtime.d

$(bin)$(binobj)plot1dtime.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plot1dtime.d : $(src)xform/plot1dtime.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plot1dtime.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plot1dtime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plot1dtime_cflags) $(plot1dtime_c_cflags) -I../src/xform $(src)xform/plot1dtime.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plot1dtime.o $(src)xform/plot1dtime.c $(@D)/plot1dtime.dep
endif
endif

$(bin)$(binobj)plot1dtime.o : $(src)xform/plot1dtime.c
else
$(bin)Dy_dependencies.make : $(plot1dtime_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plot1dtime.c

$(bin)$(binobj)plot1dtime.o : $(plot1dtime_c_dependencies)
endif
	$(c_echo) $(src)xform/plot1dtime.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plot1dtime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plot1dtime_cflags) $(plot1dtime_c_cflags) -I../src/xform $(src)xform/plot1dtime.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plotrawtime.d

$(bin)$(binobj)plotrawtime.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plotrawtime.d : $(src)xform/plotrawtime.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plotrawtime.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotrawtime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotrawtime_cflags) $(plotrawtime_c_cflags) -I../src/xform $(src)xform/plotrawtime.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plotrawtime.o $(src)xform/plotrawtime.c $(@D)/plotrawtime.dep
endif
endif

$(bin)$(binobj)plotrawtime.o : $(src)xform/plotrawtime.c
else
$(bin)Dy_dependencies.make : $(plotrawtime_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plotrawtime.c

$(bin)$(binobj)plotrawtime.o : $(plotrawtime_c_dependencies)
endif
	$(c_echo) $(src)xform/plotrawtime.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotrawtime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotrawtime_cflags) $(plotrawtime_c_cflags) -I../src/xform $(src)xform/plotrawtime.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plottrfct.d

$(bin)$(binobj)plottrfct.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plottrfct.d : $(src)xform/plottrfct.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plottrfct.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plottrfct_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plottrfct_cflags) $(plottrfct_c_cflags) -I../src/xform $(src)xform/plottrfct.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plottrfct.o $(src)xform/plottrfct.c $(@D)/plottrfct.dep
endif
endif

$(bin)$(binobj)plottrfct.o : $(src)xform/plottrfct.c
else
$(bin)Dy_dependencies.make : $(plottrfct_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plottrfct.c

$(bin)$(binobj)plottrfct.o : $(plottrfct_c_dependencies)
endif
	$(c_echo) $(src)xform/plottrfct.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plottrfct_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plottrfct_cflags) $(plottrfct_c_cflags) -I../src/xform $(src)xform/plottrfct.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plotcohe.d

$(bin)$(binobj)plotcohe.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plotcohe.d : $(src)xform/plotcohe.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plotcohe.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotcohe_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotcohe_cflags) $(plotcohe_c_cflags) -I../src/xform $(src)xform/plotcohe.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plotcohe.o $(src)xform/plotcohe.c $(@D)/plotcohe.dep
endif
endif

$(bin)$(binobj)plotcohe.o : $(src)xform/plotcohe.c
else
$(bin)Dy_dependencies.make : $(plotcohe_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plotcohe.c

$(bin)$(binobj)plotcohe.o : $(plotcohe_c_dependencies)
endif
	$(c_echo) $(src)xform/plotcohe.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotcohe_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotcohe_cflags) $(plotcohe_c_cflags) -I../src/xform $(src)xform/plotcohe.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plottime.d

$(bin)$(binobj)plottime.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plottime.d : $(src)xform/plottime.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plottime.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plottime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plottime_cflags) $(plottime_c_cflags) -I../src/xform $(src)xform/plottime.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plottime.o $(src)xform/plottime.c $(@D)/plottime.dep
endif
endif

$(bin)$(binobj)plottime.o : $(src)xform/plottime.c
else
$(bin)Dy_dependencies.make : $(plottime_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plottime.c

$(bin)$(binobj)plottime.o : $(plottime_c_dependencies)
endif
	$(c_echo) $(src)xform/plottime.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plottime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plottime_cflags) $(plottime_c_cflags) -I../src/xform $(src)xform/plottime.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)userfuncbrowser.d

$(bin)$(binobj)userfuncbrowser.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)userfuncbrowser.d : $(src)xform/userfuncbrowser.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/userfuncbrowser.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(userfuncbrowser_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(userfuncbrowser_cflags) $(userfuncbrowser_c_cflags) -I../src/xform $(src)xform/userfuncbrowser.c
	$(c_silent) $(format_dependencies) $@ $(@D)/userfuncbrowser.o $(src)xform/userfuncbrowser.c $(@D)/userfuncbrowser.dep
endif
endif

$(bin)$(binobj)userfuncbrowser.o : $(src)xform/userfuncbrowser.c
else
$(bin)Dy_dependencies.make : $(userfuncbrowser_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/userfuncbrowser.c

$(bin)$(binobj)userfuncbrowser.o : $(userfuncbrowser_c_dependencies)
endif
	$(c_echo) $(src)xform/userfuncbrowser.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(userfuncbrowser_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(userfuncbrowser_cflags) $(userfuncbrowser_c_cflags) -I../src/xform $(src)xform/userfuncbrowser.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)plotraw.d

$(bin)$(binobj)plotraw.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)plotraw.d : $(src)xform/plotraw.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/plotraw.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotraw_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotraw_cflags) $(plotraw_c_cflags) -I../src/xform $(src)xform/plotraw.c
	$(c_silent) $(format_dependencies) $@ $(@D)/plotraw.o $(src)xform/plotraw.c $(@D)/plotraw.dep
endif
endif

$(bin)$(binobj)plotraw.o : $(src)xform/plotraw.c
else
$(bin)Dy_dependencies.make : $(plotraw_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/plotraw.c

$(bin)$(binobj)plotraw.o : $(plotraw_c_dependencies)
endif
	$(c_echo) $(src)xform/plotraw.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotraw_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotraw_cflags) $(plotraw_c_cflags) -I../src/xform $(src)xform/plotraw.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)dyhelp.d

$(bin)$(binobj)dyhelp.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)dyhelp.d : $(src)xform/dyhelp.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/dyhelp.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dyhelp_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dyhelp_cflags) $(dyhelp_c_cflags) -I../src/xform $(src)xform/dyhelp.c
	$(c_silent) $(format_dependencies) $@ $(@D)/dyhelp.o $(src)xform/dyhelp.c $(@D)/dyhelp.dep
endif
endif

$(bin)$(binobj)dyhelp.o : $(src)xform/dyhelp.c
else
$(bin)Dy_dependencies.make : $(dyhelp_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/dyhelp.c

$(bin)$(binobj)dyhelp.o : $(dyhelp_c_dependencies)
endif
	$(c_echo) $(src)xform/dyhelp.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dyhelp_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dyhelp_cflags) $(dyhelp_c_cflags) -I../src/xform $(src)xform/dyhelp.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)dydebug.d

$(bin)$(binobj)dydebug.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)dydebug.d : $(src)xform/dydebug.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/dydebug.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dydebug_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dydebug_cflags) $(dydebug_c_cflags) -I../src/xform $(src)xform/dydebug.c
	$(c_silent) $(format_dependencies) $@ $(@D)/dydebug.o $(src)xform/dydebug.c $(@D)/dydebug.dep
endif
endif

$(bin)$(binobj)dydebug.o : $(src)xform/dydebug.c
else
$(bin)Dy_dependencies.make : $(dydebug_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/dydebug.c

$(bin)$(binobj)dydebug.o : $(dydebug_c_dependencies)
endif
	$(c_echo) $(src)xform/dydebug.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dydebug_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dydebug_cflags) $(dydebug_c_cflags) -I../src/xform $(src)xform/dydebug.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)dyoptions.d

$(bin)$(binobj)dyoptions.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)dyoptions.d : $(src)xform/dyoptions.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/dyoptions.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dyoptions_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dyoptions_cflags) $(dyoptions_c_cflags) -I../src/xform $(src)xform/dyoptions.c
	$(c_silent) $(format_dependencies) $@ $(@D)/dyoptions.o $(src)xform/dyoptions.c $(@D)/dyoptions.dep
endif
endif

$(bin)$(binobj)dyoptions.o : $(src)xform/dyoptions.c
else
$(bin)Dy_dependencies.make : $(dyoptions_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/dyoptions.c

$(bin)$(binobj)dyoptions.o : $(dyoptions_c_dependencies)
endif
	$(c_echo) $(src)xform/dyoptions.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dyoptions_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dyoptions_cflags) $(dyoptions_c_cflags) -I../src/xform $(src)xform/dyoptions.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)dyoutput.d

$(bin)$(binobj)dyoutput.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)dyoutput.d : $(src)xform/dyoutput.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/dyoutput.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dyoutput_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dyoutput_cflags) $(dyoutput_c_cflags) -I../src/xform $(src)xform/dyoutput.c
	$(c_silent) $(format_dependencies) $@ $(@D)/dyoutput.o $(src)xform/dyoutput.c $(@D)/dyoutput.dep
endif
endif

$(bin)$(binobj)dyoutput.o : $(src)xform/dyoutput.c
else
$(bin)Dy_dependencies.make : $(dyoutput_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/dyoutput.c

$(bin)$(binobj)dyoutput.o : $(dyoutput_c_dependencies)
endif
	$(c_echo) $(src)xform/dyoutput.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dyoutput_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dyoutput_cflags) $(dyoutput_c_cflags) -I../src/xform $(src)xform/dyoutput.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)reffile.d

$(bin)$(binobj)reffile.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)reffile.d : $(src)xform/reffile.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/reffile.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(reffile_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(reffile_cflags) $(reffile_c_cflags) -I../src/xform $(src)xform/reffile.c
	$(c_silent) $(format_dependencies) $@ $(@D)/reffile.o $(src)xform/reffile.c $(@D)/reffile.dep
endif
endif

$(bin)$(binobj)reffile.o : $(src)xform/reffile.c
else
$(bin)Dy_dependencies.make : $(reffile_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/reffile.c

$(bin)$(binobj)reffile.o : $(reffile_c_dependencies)
endif
	$(c_echo) $(src)xform/reffile.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(reffile_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(reffile_cflags) $(reffile_c_cflags) -I../src/xform $(src)xform/reffile.c

#-- end of c_library ------
#-- start of c_library ------

ifneq (,)

ifneq ($(MAKECMDGOALS),Dyclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)dysliders.d

$(bin)$(binobj)dysliders.d : $(use_requirements) $(cmt_final_setup_Dy)

$(bin)$(binobj)dysliders.d : $(src)xform/dysliders.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/dysliders.dep $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dysliders_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dysliders_cflags) $(dysliders_c_cflags) -I../src/xform $(src)xform/dysliders.c
	$(c_silent) $(format_dependencies) $@ $(@D)/dysliders.o $(src)xform/dysliders.c $(@D)/dysliders.dep
endif
endif

$(bin)$(binobj)dysliders.o : $(src)xform/dysliders.c
else
$(bin)Dy_dependencies.make : $(dysliders_c_dependencies)

$(bin)Dy_dependencies.make : $(src)xform/dysliders.c

$(bin)$(binobj)dysliders.o : $(dysliders_c_dependencies)
endif
	$(c_echo) $(src)xform/dysliders.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dysliders_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dysliders_cflags) $(dysliders_c_cflags) -I../src/xform $(src)xform/dysliders.c

#-- end of c_library ------
#-- start of cleanup_header --------------

clean :: Dyclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(Dy.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

Dyclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup ------
	-$(cleanup_echo)  $(inc)DyInput.ph $(inc)DyUtils.ph $(inc)DyXform.ph $(inc)DyConfig.ph $(inc)DyPlots.ph $(inc)fselector.ph $(inc)DyXformUser.ph $(inc)jmThread.ph $(inc)cmservers.ph $(inc)getdd.ph $(inc)getshm.ph $(inc)mainbrowser.ph $(inc)plot1d.ph $(inc)mainpanel.ph $(inc)plot2d.ph $(inc)plotaudio.ph $(inc)plotgenepar.ph $(inc)plotfft.ph $(inc)plotffttime.ph $(inc)plottrfcttime.ph $(inc)plotcohetime.ph $(inc)plot1dtime.ph $(inc)plotrawtime.ph $(inc)plottrfct.ph $(inc)plotcohe.ph $(inc)plottime.ph $(inc)userfuncbrowser.ph $(inc)plotraw.ph $(inc)dyhelp.ph $(inc)dydebug.ph $(inc)dyoptions.ph $(inc)dyoutput.ph $(inc)reffile.ph $(inc)dysliders.ph
	-$(cleanup_silent) cd $(src); /bin/rm -f  $(inc)DyInput.ph $(inc)DyUtils.ph $(inc)DyXform.ph $(inc)DyConfig.ph $(inc)DyPlots.ph $(inc)fselector.ph $(inc)DyXformUser.ph $(inc)jmThread.ph $(inc)cmservers.ph $(inc)getdd.ph $(inc)getshm.ph $(inc)mainbrowser.ph $(inc)plot1d.ph $(inc)mainpanel.ph $(inc)plot2d.ph $(inc)plotaudio.ph $(inc)plotgenepar.ph $(inc)plotfft.ph $(inc)plotffttime.ph $(inc)plottrfcttime.ph $(inc)plotcohetime.ph $(inc)plot1dtime.ph $(inc)plotrawtime.ph $(inc)plottrfct.ph $(inc)plotcohe.ph $(inc)plottime.ph $(inc)userfuncbrowser.ph $(inc)plotraw.ph $(inc)dyhelp.ph $(inc)dydebug.ph $(inc)dyoptions.ph $(inc)dyoutput.ph $(inc)reffile.ph $(inc)dysliders.ph
#-- end of cleanup ------
#-- start of cleanup ------
	-$(cleanup_echo)  $(inc)DyInput.pp $(inc)DyUtils.pp $(inc)DyXform.pp $(inc)DyConfig.pp $(inc)DyPlots.pp $(inc)fselector.pp $(inc)DyXformUser.pp $(inc)jmThread.pp $(inc)cmservers.pp $(inc)getdd.pp $(inc)getshm.pp $(inc)mainbrowser.pp $(inc)plot1d.pp $(inc)mainpanel.pp $(inc)plot2d.pp $(inc)plotaudio.pp $(inc)plotgenepar.pp $(inc)plotfft.pp $(inc)plotffttime.pp $(inc)plottrfcttime.pp $(inc)plotcohetime.pp $(inc)plot1dtime.pp $(inc)plotrawtime.pp $(inc)plottrfct.pp $(inc)plotcohe.pp $(inc)plottime.pp $(inc)userfuncbrowser.pp $(inc)plotraw.pp $(inc)dyhelp.pp $(inc)dydebug.pp $(inc)dyoptions.pp $(inc)dyoutput.pp $(inc)reffile.pp $(inc)dysliders.pp
	-$(cleanup_silent) cd $(src); /bin/rm -f  $(inc)DyInput.pp $(inc)DyUtils.pp $(inc)DyXform.pp $(inc)DyConfig.pp $(inc)DyPlots.pp $(inc)fselector.pp $(inc)DyXformUser.pp $(inc)jmThread.pp $(inc)cmservers.pp $(inc)getdd.pp $(inc)getshm.pp $(inc)mainbrowser.pp $(inc)plot1d.pp $(inc)mainpanel.pp $(inc)plot2d.pp $(inc)plotaudio.pp $(inc)plotgenepar.pp $(inc)plotfft.pp $(inc)plotffttime.pp $(inc)plottrfcttime.pp $(inc)plotcohetime.pp $(inc)plot1dtime.pp $(inc)plotrawtime.pp $(inc)plottrfct.pp $(inc)plotcohe.pp $(inc)plottime.pp $(inc)userfuncbrowser.pp $(inc)plotraw.pp $(inc)dyhelp.pp $(inc)dydebug.pp $(inc)dyoptions.pp $(inc)dyoutput.pp $(inc)reffile.pp $(inc)dysliders.pp
#-- end of cleanup ------
#-- start of cleanup_library -------------
	$(cleanup_echo) library Dy
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(library_prefix)Dy$(library_suffix).a $(library_prefix)Dy$(library_suffix).s? Dy.stamp Dy.shstamp
#-- end of cleanup_library ---------------
