# echo "setup Dy last in /virgoApp"

if ( $?CMTROOT == 0 ) then
  setenv CMTROOT /virgoApp/CMT/v1r24
endif
source ${CMTROOT}/mgr/setup.csh
set cmtDytempfile=`${CMTROOT}/mgr/cmt -quiet build temporary_name`
if $status != 0 then
  set cmtDytempfile=/tmp/cmt.$$
endif
${CMTROOT}/mgr/cmt setup -csh -pack=Dy -version=last -path=/virgoApp  -no_cleanup $* >${cmtDytempfile}
if ( $status != 0 ) then
  echo "${CMTROOT}/mgr/cmt setup -csh -pack=Dy -version=last -path=/virgoApp  -no_cleanup $* >${cmtDytempfile}"
  set cmtsetupstatus=2
  /bin/rm -f ${cmtDytempfile}
  unset cmtDytempfile
  exit $cmtsetupstatus
endif
set cmtsetupstatus=0
source ${cmtDytempfile}
if ( $status != 0 ) then
  set cmtsetupstatus=2
endif
/bin/rm -f ${cmtDytempfile}
unset cmtDytempfile
exit $cmtsetupstatus

