#ifndef __DyXform_ph__
#define __DyXform_ph__

#ifdef __cplusplus
extern "C" {
#endif

int DyXformChSelect  (char *chname);
void DyXformGetChFromPlot  (FL_OBJECT *obj, long arg);
void DyXformGeneParToPlot  (FL_OBJECT *obj, long arg);
void DyXformGetOpString  (FL_OBJECT *obj, long arg);
void DyXformAddOneChannel  (FL_OBJECT *obj, struct DyCh *opch, int i0);
void DyXformSetDebug ();
void DyXformShowWriteAlarm  (int alarm);
int DyXformGetPasswd  ();
void DyXformSetButtons  ();
void DyXformGetConfigFile  (FL_OBJECT *obj, long arg);
void DyXformSaveConfig  (FL_OBJECT *obj, long arg);
void DyXformDdFillBrowser  ();
void DyXformDdFileFillBrowser  ();
void DyXformCmFillBrowser  ();
void DyXformShowOneliner  (char *message, int fontsize);
void DyXformHideOneliner  ();
void DyXformPutDefaultInAllPlots  (FL_OBJECT *obj, long arg);
void DyXformSetOnePlot  (FL_OBJECT *obj, long arg);
int DyXformSetPlotType  (FL_OBJECT *obj);
void DyXformSetOnePlotVarY  (FL_OBJECT *obj, long arg);
void DyXformAddFile  (FL_OBJECT *obj, long arg);
void DyXformPadsConfig  (FL_OBJECT *obj, long arg);
void DyXformChecks  (FL_OBJECT *obj, long arg);
void DyXformQuit  (FL_OBJECT *obj, long arg);
int DyXformQuitAtClose (FL_FORM *flForm, void *data);
void DyXformSetClose ();
int DyXformAtClose (FL_FORM *flForm, void *data);
void DyXformGetDebug  (FL_OBJECT *obj, long arg);
void DyXformSlider  (FL_OBJECT *obj, long arg);
void DyXformScanPlots  (FL_OBJECT *obj, long arg);
void DyXformSetMaxDuration  (FL_OBJECT *obj, long arg);
void DyXformOutputDefault  (FL_OBJECT *obj, long arg);
void DyXformOutputToPanel ();
void DyXformPanelToOutput  (FL_OBJECT *obj, long arg);
void DyXformSetDefaultColors  (FL_OBJECT *obj, long arg);
void DyColorPalette  (FL_OBJECT *obj, long arg);
void DyXformGetButton  (FL_OBJECT *obj, long arg);
void DyXformAutoDeselect  (FL_OBJECT *obj, long arg);
void DyXformNow  (FL_OBJECT *obj, long arg);
void DyAudioControl  (FL_OBJECT *obj, long arg);
void DyXformIniStartTime  (FL_OBJECT *obj, long arg);
void DyXformSetstartTime  (FL_OBJECT *obj, long arg);
void DyXformSetGPSorDate  (FL_OBJECT *obj, long arg);
void DyXformFilterBrowser  (FL_OBJECT *obj, long arg);
void DyXformFindInBrowser  (FL_OBJECT *obj, long arg);
void DyXformSetScanStep  (double step);
void DyXformClonePlot  (FL_OBJECT *obj, long arg);
void DyXformRemovePlot  (FL_OBJECT *obj, long arg);
void DyXformGetPlotPanel  (FL_OBJECT *obj, long arg);
void DyXformAlignTime  (FL_OBJECT *obj, long arg);
void DyXformEditPlot  (FL_OBJECT *obj, long arg);
void DyXformPlotToPanel  (long id);
void DyXformGetGeneParPanel  (FL_OBJECT *obj, long arg);
void DyXformPanelToPlot  (int id);
void DyXformPanelToPLOTRAW  (int id);
void DyXformPanelToPLOTRAWTIME  (int id);
void DyXformPanelToPLOTTIME  (int id);
void DyXformPanelToPLOTFFT  (int id);
void DyXformPanelToPLOTTR  (int id);
void DyXformPanelToPLOTCOHE  (int id);
void DyXformPanelToPLOTFFTTIME  (int id);
void DyXformPanelToPLOTTRTIME  (int id);
void DyXformPanelToPLOTCOHETIME  (int id);
void DyXformPanelToPLOT1DTIME  (int id);
void DyXformPanelToPLOT1D  (int id);
void DyXformPanelToPLOT2D  (int id);
void DyXformPanelToPLOTAUDIO  (int id);
void DyXformSuperposePlot  (FL_OBJECT *obj, long arg);
void DyXformUnsuperposePlot  (FL_OBJECT *obj, long arg);
void DyXformExchangeVar  (FL_OBJECT *obj, long arg);
void DyXformPlotUp  (FL_OBJECT *obj, long arg);
void DyXformPlotDown  (FL_OBJECT *obj, long arg);
void DyXformSetVar  (FL_OBJECT *obj, long iselect);
void DyXformChSort  (FL_OBJECT *obj, long sorttype);
void DyXformChannelFillBrowser  ();
void DyXformIni  (char **argv, int *myargc);
void DyXformRaz  (FL_OBJECT *obj, long arg);
void DyInfoLine  (char *msg);
void DyInfoPanel  (char *msg, int alarm);
void DyXformUpdateCounters  (double gtime, int uleaps);
void DyXformShowMessage  (char *message);
void DyXformCheckGUI ();
void DyXformTrigger  (int action);
int DyXformQuestion  (char *dummy);
void DyXformGetFirstLast  (double *start, double *duration);
void DyXformSetStartTime  (int uleaps);
void DyXformSetDuration  ();
void DyXformStart  (FL_OBJECT *obj, long arg);
void DyXformPause  (FL_OBJECT *obj, long arg);
void DyXformContinue  (FL_OBJECT *obj, long arg);
void DyXformNext  (FL_OBJECT *obj, long arg);
void DyXformStop  (FL_OBJECT *obj, long arg);
void DyXformMenu  (FL_OBJECT *obj, long arg);
void DyXformRaisePanel  (FL_OBJECT *obj, long arg);
void DyXformClosePanel  (FL_OBJECT *obj, long arg);
void DyXformCmName  (FL_OBJECT *obj, long arg);
void DyXformCmConnect  (FL_OBJECT *obj, long arg);
void DyXformUpdateCmList  (FL_OBJECT *obj, long arg);
void DyXformAddShm  (FL_OBJECT *obj, long arg);
void DyXformUpdateShmList  (FL_OBJECT *obj, long arg);
void DyXformDdGetFile  (FL_OBJECT *obj, long arg);
void DyXformDdGetChlist  (FL_OBJECT *obj, long arg);
void DyXformSavePlot  (FL_OBJECT *obj, long arg);
void DyXformSetRefPlot  (FL_OBJECT *obj, long arg);
void DyXformSaveRefPlot  (FL_OBJECT *obj, long arg);
void DyXformGetRefPlot  (FL_OBJECT *obj, long arg);
void DyXformRefPlotFillBrowser  ();
void DyXformRefPlotRemove  (FL_OBJECT *obj, long arg);
void DyXformRefPlotEdit  (FL_OBJECT *obj, long arg);
void DyXformHideShowPlot  (FL_OBJECT *obj, long arg);
void DyXformTransformPlot  (FL_OBJECT *obj, long arg);
void DyXformUpdatePlotBrowser  (long id, long arg);
void DyXformPlotFillBrowser ();
void DyXformPutDefaultInPanel  (FL_OBJECT *obj, long arg);
void DyXformRootUtil  (FL_OBJECT *obj, long arg);
void DyXformDeSelect  (FL_OBJECT *obj, long arg);
void DyXformChDescription  (FL_OBJECT *obj, long arg);
void DyXformFileRemove  (FL_OBJECT *obj, long arg);
void DyXformChRemove  (FL_OBJECT *obj, long arg);
void DyXformUpdateChList  (FL_OBJECT *fl, long arg);
void DyXformHelpPanel  (FL_OBJECT *obj, long arg);
void DyXformCoffeePanel  (FL_OBJECT *obj, long arg);
void DyXformHelpMainPanel  (FL_OBJECT *ob, long arg);
void DyXformHelpMainBrowser  (FL_OBJECT *ob, long arg);
void DyXformHelpPlottime  (FL_OBJECT *ob, long arg);
void DyXformHelpPlotfft  (FL_OBJECT *ob, long arg);
void DyXformHelpPlotffttime  (FL_OBJECT *ob, long arg);
void DyXformHelpPlot1dtime  (FL_OBJECT *ob, long arg);
void DyXformHelpPlotrawtime  (FL_OBJECT *ob, long arg);
void DyXformHelpPlottrfct  (FL_OBJECT *ob, long arg);
void DyXformHelpPlotcohe  (FL_OBJECT *ob, long arg);
void DyXformHelpPlot1d  (FL_OBJECT *ob, long arg);
void DyXformHelpPlot2d  (FL_OBJECT *ob, long arg);
void DyXformHelpAudio  (FL_OBJECT *ob, long arg);
void DyXformHelpPlotGenePar  (FL_OBJECT *ob, long arg);
void DyXformHelpCmConnect  (FL_OBJECT *ob, long arg);
void DyXformHelpUserFct  (FL_OBJECT *ob, long arg);
void DyXformHelpSliders  (FL_OBJECT *ob, long arg);
void DyXformHelpOptions  (FL_OBJECT *ob, long arg);
void DyXformHelpOutput  (FL_OBJECT *ob, long arg);
void DyXformHelpDebug  (FL_OBJECT *ob, long arg);
void DyXformHelpReffile  (FL_OBJECT *ob, long arg);
void DyXformUserFctHelp  (FL_OBJECT *obj, long arg);
int DyXformHelp  (FL_OBJECT *ob, int ev, FL_Coord mx, FL_Coord y, int key, void *xev);

#ifdef __cplusplus
}
#endif

#endif

