
#if !defined(SUTIL_DEFINED)
#define SUTIL_DEFINED DONE

#include "FrameL.h"
/*
#include "UJobL.h"
#include "USignalL.h"
*/

#define FrVectCD FrVect
#define FrVectD FrVect
#define FrVectCF FrVect
#define FrVectF FrVect

#if !defined(MYBOOL)
typedef long BOOL;
typedef double COMPLEX_D;
typedef float  COMPLEX_F;
#define MYBOOL ...
#endif

#define SIESTA_MAX(A,B) ((A) > (B) ? (A) : (B))

#define FrVectCDFree(mat) FrVectFree(mat);
#define FrVectDFree(mat) FrVectFree(mat);
#define FrVectCFFree(mat) FrVectFree(mat);
#define FrVectFFree(mat) FrVectFree(mat);

#define FrVectCDNew(nL,nC) FrVectNew(FR_VECT_C16,2,nL,0.,NULL,nC,0.,NULL);
#define FrVectDNew(nL,nC) FrVectNew(FR_VECT_8R,2,nL,0.,NULL,nC,0.,NULL);
#define FrVectCFNew(nL,nC) FrVectNew(FR_VECT_C8,2,nL,0.,NULL,nC,0.,NULL);
#define FrVectFNew(nL,nC) FrVectNew(FR_VECT_4R,2,nL,0.,NULL,nC,0.,NULL);

float UMrandom(long i);
double UMrgausd(long i);
float UMrgausf(long i);
void UACDfft(struct FrVectCD *Vect,long msign);

#endif
