/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "mainpanel.h"

FD_mainpanel *create_form_mainpanel(void)
{
  FL_OBJECT *obj;
  FD_mainpanel *fdui = (FD_mainpanel *) fl_calloc(1, sizeof(*fdui));

  fdui->mainpanel = fl_bgn_form(FL_NO_BOX, 660, 240);
  fdui->mainbox = obj = fl_add_box(FL_UP_BOX,0,0,660,240,"");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,50,640,90,"");
    fl_set_object_color(obj,FL_DARKER_COL1,FL_COL1);
  fdui->start = obj = fl_add_button(FL_NORMAL_BUTTON,10,140,60,30,"Start");
    fl_set_object_color(obj,FL_SPRINGGREEN,FL_CHARTREUSE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformStart,0);
  fdui->stop = obj = fl_add_button(FL_NORMAL_BUTTON,300,140,60,30,"Stop");
    fl_set_object_color(obj,FL_TOMATO,FL_TOMATO);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformStop,0);
  fdui->quit = obj = fl_add_button(FL_NORMAL_BUTTON,600,10,40,30,"Quit");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_YELLOW);
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformQuit,0);
  fdui->continuer = obj = fl_add_button(FL_NORMAL_BUTTON,130,140,70,30,"Continue");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformContinue,0);
  fdui->mainbrowser = obj = fl_add_button(FL_NORMAL_BUTTON,110,10,70,30,"Data/Plots");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRaisePanel,2);
  fdui->pause = obj = fl_add_button(FL_NORMAL_BUTTON,70,140,60,30,"Pause");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPause,0);
  fdui->inputMenu = obj = fl_add_menu(FL_PUSH_MENU,10,10,50,30,"Inputs");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformMenu,0);
  fdui->configMenu = obj = fl_add_menu(FL_PUSH_MENU,60,10,50,30,"Config");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformMenu,0);
  fdui->infoLine = obj = fl_add_text(FL_NORMAL_TEXT,10,200,640,30,"Text");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  fdui->nextUpdate = obj = fl_add_button(FL_NORMAL_BUTTON,200,140,100,30,"Next Refresh");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformNext,0);
  fdui->UTCdate = obj = fl_add_input(FL_NORMAL_INPUT,470,80,170,20,"UTC Date");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->currentGTime = obj = fl_add_input(FL_NORMAL_INPUT,470,60,100,20,"GPS / latency");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->startTime = obj = fl_add_input(FL_NORMAL_INPUT,130,60,100,20,"StartGPS / duration");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetGPSorDate,0);
  fdui->startUTCdate = obj = fl_add_input(FL_NORMAL_INPUT,130,80,170,20,"Start UTC Date");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetGPSorDate,1);
  fdui->duration = obj = fl_add_input(FL_NORMAL_INPUT,230,60,70,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_WHITE,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->latency = obj = fl_add_input(FL_NORMAL_INPUT,570,60,70,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->coffee = obj = fl_add_button(FL_NORMAL_BUTTON,640,10,10,30,"");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_WHITE);
    fl_set_object_lstyle(obj,FL_TIMESBOLDITALIC_STYLE);
    fl_set_object_callback(obj,DyXformCoffeePanel,0);
  fdui->datenow = obj = fl_add_button(FL_NORMAL_BUTTON,300,80,20,20,"");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_YELLOW);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformNow,0);
  fdui->writing_data = obj = fl_add_roundbutton(FL_RADIO_BUTTON,440,150,30,20,"Writing Data");
    fl_set_object_color(obj,FL_PALEGREEN,FL_RED);
    fl_set_object_lcolor(obj,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMESBOLDITALIC_STYLE);
  fdui->maxduration = obj = fl_add_button(FL_NORMAL_BUTTON,300,60,20,20,"");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_YELLOW);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetMaxDuration,0);
  fdui->scanplots = obj = fl_add_scrollbar(FL_HOR_PLAIN_SCROLLBAR,10,180,640,20,"");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_callback(obj,DyXformScanPlots,0);
  fdui->toolsMenu = obj = fl_add_menu(FL_PUSH_MENU,530,10,50,30,"Tools");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformMenu,0);
  fdui->refplotMenu = obj = fl_add_menu(FL_PUSH_MENU,460,10,70,30,"Ref Plots");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformMenu,0);
  fdui->dytitle = obj = fl_add_text(FL_NORMAL_TEXT,180,10,150,30,"DataDisplay");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLDITALIC_STYLE);
  fdui->dyversion = obj = fl_add_text(FL_NORMAL_TEXT,330,10,70,30,"vxrypz");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->clear = obj = fl_add_button(FL_NORMAL_BUTTON,410,10,50,30,"Clear");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRaz,5);
  fdui->waitdata = obj = fl_add_roundbutton(FL_PUSH_BUTTON,480,150,20,20,"Wait for data");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->andromede = obj = fl_add_button(FL_NORMAL_BUTTON,580,10,10,30,"");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_WHITE);
    fl_set_object_lstyle(obj,FL_TIMESBOLDITALIC_STYLE);
    fl_set_object_callback(obj,DyXformCoffeePanel,2);
  fdui->currentsource = obj = fl_add_input(FL_NORMAL_INPUT,130,110,510,20,"Current source");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->helpbutton = obj = fl_add_button(FL_NORMAL_BUTTON,590,140,60,30,"HELP");
    fl_set_object_color(obj,FL_PALEGREEN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformRaisePanel,29);
  fl_end_form();

  fdui->mainpanel->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

