/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plot1d.h"

FD_plot1d *create_form_plot1d(void)
{
  FL_OBJECT *obj;
  FD_plot1d *fdui = (FD_plot1d *) fl_calloc(1, sizeof(*fdui));

  fdui->plot1d = fl_bgn_form(FL_NO_BOX, 380, 310);
  obj = fl_add_box(FL_UP_BOX,0,0,380,310,"");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,280,250,"");
  fdui->stat = obj = fl_add_lightbutton(FL_PUSH_BUTTON,300,100,70,30,"stat");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,270,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,12);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,230,270,60,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,12);
  fdui->xnBin = obj = fl_add_input(FL_INT_INPUT,170,100,100,30,"nBin");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,300,10,70,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,300,30,70,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,300,50,70,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xmin = obj = fl_add_input(FL_FLOAT_INPUT,170,130,100,30,"x min");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->xmax = obj = fl_add_input(FL_FLOAT_INPUT,170,160,100,30,"x max");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->refreshDt = obj = fl_add_input(FL_FLOAT_INPUT,170,20,100,30,"Refresh Period (s)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,300,70,70,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autoedge = obj = fl_add_lightbutton(FL_PUSH_BUTTON,300,130,70,30,"autoX");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  obj = fl_add_text(FL_NORMAL_TEXT,80,280,140,20,"1D Distribution");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,300,230,70,30,"Default");
    fl_set_object_color(obj,FL_PALEGREEN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->realunits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,300,160,70,30,"unitsX");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->chx_resampFreq = obj = fl_add_input(FL_FLOAT_INPUT,170,60,100,30,"Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->xoffset = obj = fl_add_input(FL_FLOAT_INPUT,170,190,100,30,"x offset");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->xscale = obj = fl_add_input(FL_FLOAT_INPUT,170,220,100,30,"x scale");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->nodc = obj = fl_add_lightbutton(FL_PUSH_BUTTON,300,190,70,30,"noDC");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fl_end_form();

  fdui->plot1d->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

