/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plottrfct.h"

FD_plottrfct *create_form_plottrfct(void)
{
  FL_OBJECT *obj;
  FD_plottrfct *fdui = (FD_plottrfct *) fl_calloc(1, sizeof(*fdui));

  fdui->plottrfct = fl_bgn_form(FL_NO_BOX, 410, 460);
  obj = fl_add_box(FL_UP_BOX,0,0,410,460,"");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,330,10,60,120,"module");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lcolor(obj,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_TIMESBOLDITALIC_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,330,140,60,100,"phase");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lcolor(obj,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_TIMESBOLDITALIC_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,310,190,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,210,310,200,"");
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,420,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,4);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,260,420,60,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,4);
  fdui->tstep = obj = fl_add_input(FL_FLOAT_INPUT,210,120,100,30,"Time shift  (% of time window)");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->maxAverage = obj = fl_add_input(FL_INT_INPUT,210,160,100,30,"Number of FFTs to average");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->fmax = obj = fl_add_input(FL_FLOAT_INPUT,230,260,80,30,"");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->fmin = obj = fl_add_input(FL_FLOAT_INPUT,150,260,80,30,"freqmin / freqmax (Hz)");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->tsize = obj = fl_add_input(FL_FLOAT_INPUT,210,20,100,30,"Time Window (s)");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->chx_resampFreq = obj = fl_add_input(FL_FLOAT_INPUT,210,50,100,30,"Channel 1 Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->title = obj = fl_add_text(FL_NORMAL_TEXT,80,420,170,30,"Transfer Fct Plot");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,330,380,70,30,"Default");
    fl_set_object_color(obj,FL_PALEGREEN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->gridx2 = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,200,60,20,"gridx");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy2 = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,220,60,20,"gridy");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy2 = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,180,60,20,"logy");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx2 = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,160,60,20,"logx");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,70,60,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,90,60,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,50,60,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,30,60,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->nodc = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,310,70,30,"noDC");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realunits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,280,70,30,"unitsY");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->autoscale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,250,70,30,"autoY");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->refresh_fft = obj = fl_add_input(FL_INT_INPUT,230,220,80,30,"refreshPeriod (in number of FFTs)");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->decayfft = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,340,70,30,"decay");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->ymax = obj = fl_add_input(FL_FLOAT_INPUT,230,300,80,30,"");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->ymin = obj = fl_add_input(FL_FLOAT_INPUT,150,300,80,30,"yMin / yMax");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->modulesqrt = obj = fl_add_lightbutton(FL_PUSH_BUTTON,330,110,60,20,"sqrt");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->chy_resampFreq = obj = fl_add_input(FL_FLOAT_INPUT,210,80,100,30,"Channel 2 Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->timeshift = obj = fl_add_input(FL_FLOAT_INPUT,230,340,80,30,"Time shift between ch1 and ch2  (sec)");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fl_end_form();

  fdui->plottrfct->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

