#!/bin/bash

echo " "
echo "Check for variables defined in dataDisplay.h but not used anymore in source files"
echo " "

flag=0
while read line
do
#  echo "Testing: $line"
  test1=`echo "$line" | awk '{print $1}'`
  test2=`echo "$previousline" | awk '{print $1}'`
  if [ "$test1" = "{" ] && [ "$test2" = "struct" ]; then
    structname=`echo "$previousline" | awk '{print $2}'`
    echo "***************** In $structname ****************"
    flag=1
  fi
  if [ "$test1" = "};" ]; then flag=0; fi
  previousline=$line
 # echo "test1=$test1  test2=$test2   flag=$flag"
  if [ "$flag" = "0" ]; then continue; fi

  name=`echo "$line" | awk '{print $2}' | awk -F ";" '{print $1}'`
  if [ "${name:0:1}" = "/" ]; then name=`echo "$line" | awk '{print $3}' | awk -F ";" '{print $1}'`; fi
  if [ "${name:0:1}" = "*" ]; then name=${name:1}; fi
  indice=`echo "$name" | awk -F "[" '{print $2}'`
  if [ "$indice" != "" ]; then name=`echo "$name" | awk -F "[" '{print $1}'`; fi
#  echo ".............. $name : $line"
  check=`grep "$name" *.c *.cc`
  if [ "$check" == "" ]; then echo " $name not used anymore"; fi
done < ../src/dataDisplay.h

