CMTPATH=/virgoApp
CMT_tag=$(tag)
CMTROOT=/virgoApp/CMT/v1r24
CMT_root=/virgoApp/CMT/v1r24
CMTVERSION=v1r24
CMT_cmtpath=/virgoApp
CMT_project=virgoApp
cmt_hardware_query_command=uname -m
cmt_hardware=`$(cmt_hardware_query_command)`
cmt_system_version_query_command=${CMTROOT}/mgr/cmt_linux_version.sh | ${CMTROOT}/mgr/cmt_filter_version.sh
cmt_system_version=`$(cmt_system_version_query_command)`
cmt_compiler_version_query_command=${CMTROOT}/mgr/cmt_gcc_version.sh | ${CMTROOT}/mgr/cmt_filter3_version.sh
cmt_compiler_version=`$(cmt_compiler_version_query_command)`
PATH=/virgoApp/CMT/v1r24/${CMTBIN}:/virgoApp/root/v5r34p050/Linux-x86_64-SL7/bin:/virgoApp/Glib/v2r48p21/Linux-x86_64-SL7/bin:/virgoApp/Fr/v8r31/Linux-x86_64-SL7:/virgoApp/root/v5r34p050//bin:/usr/local/bin:/usr/bin:/usr/sbin:/virgoApp/Cm/v8r12p3/Linux-x86_64-SL7
CLASSPATH=/virgoApp/CMT/v1r24/java
debug_option=-g
cc=cc 
cflags=-g -fPIC -USE_BSD -std=c99 -D_POSIX_C_SOURCE=200112L -D_XOPEN_SOURCE=700 -D__USE_XOPEN_EXTENDED  -std=c99 
ccomp=$(cc) -c $(includes) $(cdebugflags) $(cflags) $(pp_cflags)
clink=$(cc) $(clinkflags) $(cdebugflags)
ppcmd=-I
preproc=c++ -MD -c 
cpp=g++ 
cppflags=-g -fPIC 
pp_cppflags=-D_GNU_SOURCE
cppcomp=$(cpp) -c $(includes) $(cppdebugflags) $(cppflags) $(pp_cppflags)
cpplink=$(cpp) $(cpplinkflags) $(cppdebugflags)
for=f95 
fflags=-fPIC 
fcomp=$(for) -c $(fincludes) $(fflags) $(pp_fflags)
flink=$(for) $(flinkflags)
javacomp=javac -classpath $(src):$(CLASSPATH) 
javacopy=cp
jar=jar
X11_cflags=-I/usr/include
Xm_cflags=-I/usr/include
X_linkopts= 
lex=lex $(lexflags)
yaccflags= -l -d 
yacc=yacc $(yaccflags)
ar=ar cr
ranlib=ranlib
make_shlib=${CMTROOT}/mgr/cmt_make_shlib_common.sh extract
shlibsuffix=so
shlibbuilder=g++ $(cmt_installarea_linkopts) 
shlibflags=-shared
symlink=/bin/ln -fs 
symunlink=/bin/rm -f 
library_install_command=${symlink}
build_library_links=$(cmtexe) build library_links -tag=$(tags)
remove_library_links=$(cmtexe) remove library_links -tag=$(tags)
cmtexe=${CMTROOT}/${CMTBIN}/cmt.exe
build_prototype=$(cmtexe) build prototype
build_dependencies=$(cmtexe) -tag=$(tags) build dependencies
build_triggers=$(cmtexe) build triggers
format_dependencies=${CMTROOT}/mgr/cmt_format_deps.sh
implied_library_prefix=-l
SHELL=/bin/sh
q="
src=../src/
doc=../doc/
inc=../src/
mgr=../cmt/
application_suffix=.exe
library_prefix=lib
unlock_command=rm -rf 
lock_name=cmt
lock_suffix=.lock
lock_file=${lock_name}${lock_suffix}
svn_checkout_command=python ${CMTROOT}/mgr/cmt_svn_checkout.py 
gmake_hosts=lx1 rsplus lxtest as7 dxplus ax7 hp2 aleph hp1 hpplus papou1-fe atlas
make_hosts=virgo-control1 rio0a vmpc38a
everywhere=hosts
install_command=cp 
uninstall_command=/bin/rm -f 
cmt_installarea_command=ln -fs 
cmt_uninstallarea_command=/bin/rm -f 
cmt_install_area_command=$(cmt_installarea_command)
cmt_uninstall_area_command=$(cmt_uninstallarea_command)
cmt_install_action=$(CMTROOT)/mgr/cmt_install_action.sh
cmt_installdir_action=$(CMTROOT)/mgr/cmt_installdir_action.sh
cmt_uninstall_action=$(CMTROOT)/mgr/cmt_uninstall_action.sh
cmt_uninstalldir_action=$(CMTROOT)/mgr/cmt_uninstalldir_action.sh
mkdir=mkdir
cmt_cvs_protocol_level=v1r1
cmt_installarea_prefix=InstallArea
CMT_PATH_remove_regexp=/[^/]*/
CMT_PATH_remove_share_regexp=/share/
NEWCMTCONFIG=x86_64-slc74-gcc485
Dy_tag=$(tag)
DYROOT=/virgo/virgoApp/Dy/v10r8
Dy_root=/virgo/virgoApp/Dy/v10r8
DYVERSION=v10r8
Dy_cmtpath=/virgoApp
Dy_project=virgoApp
root_tag=$(tag)
ROOTROOT=/virgoApp/root/v5r34p050
root_root=/virgoApp/root/v5r34p050
ROOTVERSION=v5r34p050
root_cmtpath=/virgoApp
root_project=virgoApp
PackageBuild_tag=$(tag)
PACKAGEBUILDROOT=/virgoApp/PackageBuild/v0r7
PackageBuild_root=/virgoApp/PackageBuild/v0r7
PACKAGEBUILDVERSION=v0r7
PackageBuild_cmtpath=/virgoApp
PackageBuild_project=virgoApp
pkgconfig_bin=${PACKAGEBUILDROOT}/${PackageBuild_tag}/bin/pkg-config
pkgconfig_path=${FFTWLIBPATH}/pkgconfig/:${PACKAGEBUILDROOT}/${PackageBuild_tag}/lib/pkgconfig:/usr/lib/pkgconfig:/usr/lib64/pkgconfig:/usr/share/pkgconfig/
FFTW_tag=$(tag)
FFTWROOT=/virgoApp/FFTW/v3r3p30
FFTW_root=/virgoApp/FFTW/v3r3p30
FFTWVERSION=v3r3p30
FFTW_cmtpath=/virgoApp
FFTW_project=virgoApp
FFTWLIBPATH=/virgoApp/FFTW/v3r3p30/Linux-x86_64-SL7/lib
FFTWBINPATH=/virgoApp/FFTW/v3r3p30/Linux-x86_64-SL7/bin
FFTWINCPATH=/virgoApp/FFTW/v3r3p30/Linux-x86_64-SL7/include
FFTW_cflags= $(shell PKG_CONFIG_PATH=${pkgconfig_path} ${pkgconfig_bin} --cflags fftw3 --cflags fftw3f) 
FFTW_linkopts= $(shell PKG_CONFIG_PATH=${pkgconfig_path} ${pkgconfig_bin} --libs fftw3 --libs fftw3f)  -Wl,-rpath,${FFTWLIBPATH} 
ROOTSYS=/virgoApp/root/v5r34p050/${ROOTCONFIG}
root_dependencies= get_root_sources 
ROOTLIBPATH=$(ROOTSYS)/lib
ROOTBINPATH=$(ROOTSYS)/bin
ROOTINCPATH=$(ROOTSYS)/include
root_linkopts=-L${ROOTLIBPATH} -lCore -lCint -lRIO -lNet -lHist       -lGraf -lGraf3d -lGpad -lTree -lRint -lPostscript -lMatrix       -lPhysics -lMathCore -lThread -pthread -lm -ldl -rdynamic -Wl,-rpath,$(ROOTLIBPATH) 
root=/virgoApp/root/v5r34p050/Linux-x86_64-SL7/bin/root
Cm_tag=$(tag)
CMROOT=/virgoApp/Cm/v8r12p2
Cm_root=/virgoApp/Cm/v8r12p2
CMVERSION=v8r12p2
Cm_cmtpath=/virgoApp
Cm_project=virgoApp
CSet_tag=$(tag)
CSETROOT=/virgoApp/CSet/v2r16
CSet_root=/virgoApp/CSet/v2r16
CSETVERSION=v2r16
CSet_cmtpath=/virgoApp
CSet_project=virgoApp
VirgoPolicy_tag=$(tag)
VIRGOPOLICYROOT=/virgoApp/VirgoPolicy/v2r6
VirgoPolicy_root=/virgoApp/VirgoPolicy/v2r6
VIRGOPOLICYVERSION=v2r6
VirgoPolicy_cmtpath=/virgoApp
VirgoPolicy_project=virgoApp
MAKEFLAGS=QUICK=1
vmake=/virgoApp/VirgoPolicy/v2r6/mgr/virgoMake
CSet_linkopts=-L$(CSETROOT)/$(CSet_tag) -lCSet -lReg -Wl,-rpath,$(CSETROOT)/$(CSet_tag)
lexyacc_src=RegParse.y RegLex.l
TAnchor_dependencies=CSet CCSet Reg
TArray_dependencies=CSet CCSet Reg
texp_dependencies=CSet CCSet Reg
CMMGR=${VIRGODATA}/Cm/mgr
cm=/virgoApp/Cm/v8r12p2/Linux-x86_64-SL7/cm.exe
cmask=echo 'This command is obsolete please use cm instead cmask'
cmsend=echo 'This command is obsolete please use cm instead cmsend'
cmdomain=source /virgoApp/Cm/v8r12p2/mgr/CmConfig.csh
NameServer_cflags= -DCMVERSION="tostring(${CMVERSION})" 
Cm_linkopts=-L$(CMROOT)/$(Cm_tag) -lCm -lm -Wl,-rpath,$(CMROOT)/$(Cm_tag)
cm_dependencies=Cm
NameServer_dependencies=Cm
Fr_tag=$(tag)
FRROOT=/virgoApp/Fr/v8r31
Fr_root=/virgoApp/Fr/v8r31
FRVERSION=v8r31
Fr_cmtpath=/virgoApp
Fr_project=virgoApp
Fr_linkopts=-L$(FRROOT)/$(Fr_tag) -lFrame -Wl,-rpath,$(FRROOT)/$(Fr_tag)
rootcint_flags=-p 
document_rootcint_pat=document_rootcint
FrDump_dependencies=Frame
FrCopy_dependencies=Frame
FrCheck_dependencies=Frame
LD_LIBRARY_PATH=/virgoApp/Fr/v8r31/Linux-x86_64-SL7
RPATH=$(FRROOT)/$(Fr_tag)
Frv_tag=$(tag)
FRVROOT=/virgoApp/Frv/v4r27p1
Frv_root=/virgoApp/Frv/v4r27p1
FRVVERSION=v4r27p1
Frv_cmtpath=/virgoApp
Frv_project=virgoApp
Frv_linkopts=-L$(FRVROOT)/$(Frv_tag) -lFrv -Wl,-rpath,$(FRVROOT)/$(Frv_tag)
FrvMathTest_dependencies=Frv
FrvCopyTest_dependencies=Frv
FrvFilterTest_dependencies=Frv
FrvTFTest_dependencies=Frv
Xform_tag=$(tag)
XFORMROOT=/virgoApp/Xform/v0r9999p2
Xform_root=/virgoApp/Xform/v0r9999p2
XFORMVERSION=v0r9999p2
Xform_cmtpath=/virgoApp
Xform_project=virgoApp
Xform_linkopts=-L${XFORMROOT}/${Xform_tag} -lforms -ljpeg -lGL -L /usr/X11R6/lib -lX11 -lm
fdesign=/virgoApp/Xform/v0r9999p2/Linux-x86_64-SL7/fdesign.exe
Dy_shlibflags= -L$(FRROOT)/$(Fr_tag) -lFrame
Dy_linkopts= -L$(DYROOT)/$(Dy_tag) -lDy -Wl,-rpath,$(DYROOT)/$(Dy_tag)
dataDisplay=/virgo/virgoApp/Dy/v10r8/Linux-x86_64-SL7/dataDisplay.exe
tag=Linux-x86_64-SL7
package=Dy
version=v10r8
PACKAGE_ROOT=$(DYROOT)
srcdir=../src
bin=../$(Dy_tag)/
javabin=../classes/
mgrdir=cmt
BIN=/virgo/virgoApp/Dy/v10r8/Linux-x86_64-SL7/
project=virgoApp
cmt_installarea_paths= $(cmt_installarea_prefix)/$(CMTCONFIG)/bin
use_linkopts= $(cmt_installarea_linkopts)   $(Dy_linkopts)  $(Frv_linkopts)  $(Fr_linkopts)  $(root_linkopts)  $(FFTW_linkopts)  $(PackageBuild_linkopts)  $(Cm_linkopts)  $(CSet_linkopts)  $(Xform_linkopts)  $(VirgoPolicy_linkopts) 
virgoApp_installarea_prefix=$(cmt_installarea_prefix)
virgoApp_installarea_prefix_remove=$(virgoApp_installarea_prefix)
use_requirements=requirements $(CMT_root)/mgr/requirements $(Frv_root)/cmt/requirements $(Fr_root)/cmt/requirements $(root_root)/cmt/requirements $(FFTW_root)/cmt/requirements $(PackageBuild_root)/cmt/requirements $(Cm_root)/cmt/requirements $(CSet_root)/cmt/requirements $(Xform_root)/cmt/requirements $(VirgoPolicy_root)/cmt/requirements 
use_includes= $(ppcmd)"$(Frv_root)/src" $(ppcmd)"$(Fr_root)/src" $(ppcmd)"/virgoApp/Fr/v8r31/src/zlib" $(ppcmd)"$(ROOTINCPATH)" $(ppcmd)"$(FFTWINCPATH)" $(ppcmd)"$(PackageBuild_root)/src" $(ppcmd)"$(Cm_root)/src" $(ppcmd)"$(CSet_root)/src" $(ppcmd)"$(Xform_root)/src" $(ppcmd)"$(VirgoPolicy_root)/src" 
use_fincludes= $(use_includes)
use_stamps=  $(Dy_stamps)  $(Frv_stamps)  $(Fr_stamps)  $(root_stamps)  $(FFTW_stamps)  $(PackageBuild_stamps)  $(Cm_stamps)  $(CSet_stamps)  $(Xform_stamps)  $(VirgoPolicy_stamps) 
use_cflags=  $(Dy_cflags)  $(Frv_cflags)  $(Fr_cflags)  $(root_cflags)  $(FFTW_cflags)  $(PackageBuild_cflags)  $(Cm_cflags)  $(CSet_cflags)  $(Xform_cflags)  $(VirgoPolicy_cflags) 
use_pp_cflags=  $(Dy_pp_cflags)  $(Frv_pp_cflags)  $(Fr_pp_cflags)  $(root_pp_cflags)  $(FFTW_pp_cflags)  $(PackageBuild_pp_cflags)  $(Cm_pp_cflags)  $(CSet_pp_cflags)  $(Xform_pp_cflags)  $(VirgoPolicy_pp_cflags) 
use_cppflags=  $(Dy_cppflags)  $(Frv_cppflags)  $(Fr_cppflags)  $(root_cppflags)  $(FFTW_cppflags)  $(PackageBuild_cppflags)  $(Cm_cppflags)  $(CSet_cppflags)  $(Xform_cppflags)  $(VirgoPolicy_cppflags) 
use_pp_cppflags=  $(Dy_pp_cppflags)  $(Frv_pp_cppflags)  $(Fr_pp_cppflags)  $(root_pp_cppflags)  $(FFTW_pp_cppflags)  $(PackageBuild_pp_cppflags)  $(Cm_pp_cppflags)  $(CSet_pp_cppflags)  $(Xform_pp_cppflags)  $(VirgoPolicy_pp_cppflags) 
use_fflags=  $(Dy_fflags)  $(Frv_fflags)  $(Fr_fflags)  $(root_fflags)  $(FFTW_fflags)  $(PackageBuild_fflags)  $(Cm_fflags)  $(CSet_fflags)  $(Xform_fflags)  $(VirgoPolicy_fflags) 
use_pp_fflags=  $(Dy_pp_fflags)  $(Frv_pp_fflags)  $(Fr_pp_fflags)  $(root_pp_fflags)  $(FFTW_pp_fflags)  $(PackageBuild_pp_fflags)  $(Cm_pp_fflags)  $(CSet_pp_fflags)  $(Xform_pp_fflags)  $(VirgoPolicy_pp_fflags) 
use_libraries= $(Frv_libraries)  $(Fr_libraries)  $(root_libraries)  $(FFTW_libraries)  $(PackageBuild_libraries)  $(Cm_libraries)  $(CSet_libraries)  $(Xform_libraries)  $(VirgoPolicy_libraries) 
includes= $(ppcmd)"$(srcdir)" $(ppcmd)"/virgo/virgoApp/Dy/v10r8/src" $(ppcmd)"/virgo/virgoApp/Dy/v10r8/src/xform" $(use_includes)
fincludes= $(includes)
VDyPlotDict_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
VDyPlot2Dict_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
VViewerSelectorDict_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
URZoomSeveralDict_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
Wrapper_checkDict_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
Dy_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
Dy_use_linkopts=  $(Dy_linkopts)  $(Frv_linkopts)  $(Fr_linkopts)  $(root_linkopts)  $(FFTW_linkopts)  $(PackageBuild_linkopts)  $(Cm_linkopts)  $(CSet_linkopts)  $(Xform_linkopts)  $(VirgoPolicy_linkopts) 
dataDisplay_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
dataDisplay_use_linkopts=  $(Dy_linkopts)  $(Frv_linkopts)  $(Fr_linkopts)  $(root_linkopts)  $(FFTW_linkopts)  $(PackageBuild_linkopts)  $(Cm_linkopts)  $(CSet_linkopts)  $(Xform_linkopts)  $(VirgoPolicy_linkopts) 
install_rel_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
make_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
get_root_sources_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
constituents= VDyPlotDict VDyPlot2Dict VViewerSelectorDict URZoomSeveralDict Wrapper_checkDict Dy dataDisplay 
all_constituents= $(constituents)
constituentsclean= dataDisplayclean Dyclean Wrapper_checkDictclean URZoomSeveralDictclean VViewerSelectorDictclean VDyPlot2Dictclean VDyPlotDictclean 
all_constituentsclean= $(constituentsclean)
cmt_actions_constituents= make get_root_sources 
cmt_actions_constituentsclean= get_root_sourcesclean makeclean 
install-rel_constituents= install_rel 
install-rel_constituentsclean= install_relclean 
