#ifndef __DyConfig_ph__
#define __DyConfig_ph__

#ifdef __cplusplus
extern "C" {
#endif

void DyConfigPutInputs (FILE *fp);
void DyConfigPutOpch (FILE *fp);
void DyConfigPutPlot  (int iplot, FILE *fp);
void DyConfigPutTiming  (FILE *fp);
void DyConfigPutPads  (FILE *fp);
void DyConfigPutTriggers  (FILE *fp);
void DyConfigPutOptions  (FILE *fp);
void DyConfigPutRefplots  (FILE *fp);
int DyConfigCreate  (char *configfileName, int noroot);
char *DyConfigGetInBuffer  (char *config_filename);
int DyConfigGetFile  (char *result);
void DyConfigGetAlgo (char *config);
void DyConfigGetCanvas (char *config);
void DyConfigGetTiming (char **wordlist, int *iaddress, int nword);
void DyConfigGetOptions (char **wordlist, int *iaddress, int nword);
void DyConfigGetInput (char **wordlist, int *iaddress, int nword);
void DyConfigGetTag (char **wordlist, int *iaddress, int nword);
void DyConfigGetPads (char **wordlist, int *iaddress, int nword);
void DyConfigGetOpch (char **wordlist, int *iaddress, int nword);
void DyConfigGetPlot (char **wordlist, int *iaddress, int nword);
void DyConfigGetRefPlots (char **wordlist, int *iaddress, int nword);
void DyConfigGetTriggers (char **wordlist, int *iaddress, int nword);
void DyMakeAlgoString  (FILE *fp);

#ifdef __cplusplus
}
#endif

#endif

