/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "dyoptions.h"

FD_dyoptions *create_form_dyoptions(void)
{
  FL_OBJECT *obj;
  FD_dyoptions *fdui = (FD_dyoptions *) fl_calloc(1, sizeof(*fdui));

  fdui->dyoptions = fl_bgn_form(FL_NO_BOX, 420, 550);
  obj = fl_add_box(FL_UP_BOX,0,0,420,550,"");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,230,10,180,490,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,210,490,"");
  fdui->trigused = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,440,100,30,"Trigger ON");
    fl_set_object_color(obj,FL_LIGHTER_COL1,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->trigpause = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,460,140,30,"Pause when trigger");
    fl_set_object_color(obj,FL_LIGHTER_COL1,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,1);
  fdui->noplot = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,390,120,30,"Plots not shown");
    fl_set_object_color(obj,FL_LIGHTER_COL1,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,2);
  fdui->color2d = obj = fl_add_button(FL_NORMAL_BUTTON,240,40,110,30,"2D Color Palette");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyColorPalette,-1);
  obj = fl_add_text(FL_NORMAL_TEXT,180,510,80,30,"Options");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autodeselectplot = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,340,150,30,"Auto-deselect Plots");
    fl_set_object_color(obj,FL_LIGHTER_COL1,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,4);
  fdui->autodeselectch = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,360,170,30,"Auto-deselect Channels");
    fl_set_object_color(obj,FL_LIGHTER_COL1,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,5);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,340,510,70,30,"Close");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,0);
  fdui->noBox = obj = fl_add_checkbutton(FL_PUSH_BUTTON,240,190,180,30,"No vertical colored  lines");
    fl_set_object_color(obj,FL_LIGHTER_COL1,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->loglinx = obj = fl_add_button(FL_NORMAL_BUTTON,20,40,90,30,"Log/Lin X");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,0);
  fdui->logliny = obj = fl_add_button(FL_NORMAL_BUTTON,20,70,90,30,"Log/Lin Y");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,0);
  fdui->fullwhite = obj = fl_add_checkbutton(FL_PUSH_BUTTON,240,210,170,30,"Full white Canvas");
    fl_set_object_color(obj,FL_LIGHTER_COL1,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->indelebile = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,410,190,30,"Persistant reference plots");
    fl_set_object_color(obj,FL_LIGHTER_COL1,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->nicefont = obj = fl_add_checkbutton(FL_PUSH_BUTTON,240,250,170,30,"Slower but nicer fonts");
    fl_set_object_color(obj,FL_LIGHTER_COL1,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->squareplot = obj = fl_add_checkbutton(FL_PUSH_BUTTON,240,270,170,30,"square Plots window");
    fl_set_object_color(obj,FL_LIGHTER_COL1,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->zoomlegend = obj = fl_add_input(FL_FLOAT_INPUT,20,110,60,30,"Zoom legends");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformRootUtil,0);
  fdui->zoomstat = obj = fl_add_input(FL_FLOAT_INPUT,20,140,60,30,"Zoom stat boxes");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformRootUtil,0);
  fdui->zoomtimestring = obj = fl_add_input(FL_FLOAT_INPUT,20,170,60,30,"Zoom time strings");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformRootUtil,0);
  fdui->zoomtitle = obj = fl_add_input(FL_FLOAT_INPUT,20,200,60,30,"Zoom titles");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformRootUtil,0);
  fdui->zoomlabelx = obj = fl_add_input(FL_FLOAT_INPUT,20,240,60,30,"Zoom labels in X axis");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformRootUtil,0);
  fdui->zoomlabely = obj = fl_add_input(FL_FLOAT_INPUT,20,270,60,30,"Zoom labels on Y axis");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformRootUtil,0);
  fdui->linewidth = obj = fl_add_input(FL_FLOAT_INPUT,240,150,60,30,"Plots line width");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,0);
  fdui->colorset = obj = fl_add_button(FL_NORMAL_BUTTON,240,80,110,30,"Lines Color Set");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformSetDefaultColors,-1);
  fdui->graycolors = obj = fl_add_button(FL_NORMAL_BUTTON,240,110,110,30,"Gray colors");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformSetDefaultColors,100);
  fdui->no_autostop = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,310,150,30,"No Auto-stop");
    fl_set_object_color(obj,FL_LIGHTER_COL1,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformGetButton,6);
  obj = fl_add_text(FL_NORMAL_TEXT,280,10,80,30,"Colors");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,10,140,30,"Plots and running");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fl_end_form();

  fdui->dyoptions->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

