/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plotcohe.h"

FD_plotcohe *create_form_plotcohe(void)
{
  FL_OBJECT *obj;
  FD_plotcohe *fdui = (FD_plotcohe *) fl_calloc(1, sizeof(*fdui));

  fdui->plotcohe = fl_bgn_form(FL_NO_BOX, 420, 500);
  obj = fl_add_box(FL_UP_BOX,0,0,420,500,"");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,320,190,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,210,320,240,"");
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,460,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,4);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,270,460,60,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,4);
  fdui->tstep = obj = fl_add_input(FL_FLOAT_INPUT,220,120,100,30,"Time shift (% of time window)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->maxAverage = obj = fl_add_input(FL_INT_INPUT,220,160,100,30,"Number of FFTs to average");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->fmax = obj = fl_add_input(FL_FLOAT_INPUT,240,260,80,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->fmin = obj = fl_add_input(FL_FLOAT_INPUT,160,260,80,30,"freqmin / freqmax (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->tsize = obj = fl_add_input(FL_FLOAT_INPUT,220,20,100,30,"Time Window (s)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->chx_resampFreq = obj = fl_add_input(FL_FLOAT_INPUT,220,50,100,30,"Channel 1 Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->title = obj = fl_add_text(FL_NORMAL_TEXT,80,470,170,20,"Coherence Plot");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,340,400,70,30,"Default");
    fl_set_object_color(obj,FL_PALEGREEN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,60,60,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,80,60,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,30,60,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,10,60,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->nodc = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,210,70,30,"noDC");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realunits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,180,70,30,"unitsY");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->autoscale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,150,70,30,"autoY");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->refresh_fft = obj = fl_add_input(FL_INT_INPUT,240,220,80,30,"refreshPeriod (in number of FFTs)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->decayfft = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,240,70,30,"decay");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->ymax = obj = fl_add_input(FL_FLOAT_INPUT,240,300,80,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->ymin = obj = fl_add_input(FL_FLOAT_INPUT,160,300,80,30,"ymin / ymax");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->crossCohe_fmin = obj = fl_add_input(FL_FLOAT_INPUT,160,410,80,30,"Y axis fmin/fmax (Hz)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->crossCohe_fmax = obj = fl_add_input(FL_FLOAT_INPUT,240,410,80,30,"");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->crossCohe = obj = fl_add_lightbutton(FL_PUSH_BUTTON,160,380,160,30,"2Dcohe");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->modulesqrt = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,110,70,30,"sqrt");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->chy_resampFreq = obj = fl_add_input(FL_FLOAT_INPUT,220,80,100,30,"Channel 2 Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->timeshift = obj = fl_add_input(FL_FLOAT_INPUT,240,340,80,30,"Time shift between ch1 and ch2 (sec)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fl_end_form();

  fdui->plotcohe->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

