/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plotffttime.h"

FD_plotffttime *create_form_plotffttime(void)
{
  FL_OBJECT *obj;
  FD_plotffttime *fdui = (FD_plotffttime *) fl_calloc(1, sizeof(*fdui));

  fdui->plotffttime = fl_bgn_form(FL_NO_BOX, 430, 410);
  obj = fl_add_box(FL_UP_BOX,0,0,430,410,"");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,330,230,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,250,330,110,"");
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,370,60,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,4);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,280,370,60,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,4);
  fdui->tstep_fft = obj = fl_add_input(FL_FLOAT_INPUT,230,160,100,30,"Time shift (% of FFT time window)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->dtime = obj = fl_add_input(FL_FLOAT_INPUT,230,80,100,30,"Time resolution (s)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->fmax = obj = fl_add_input(FL_FLOAT_INPUT,250,260,80,30,"");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->fmin = obj = fl_add_input(FL_FLOAT_INPUT,170,260,80,30,"Zoom freq min/max (Hz)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->dfreq = obj = fl_add_input(FL_FLOAT_INPUT,230,50,100,30,"Frequency resolution (Hz)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->chx_resampFreq = obj = fl_add_input(FL_FLOAT_INPUT,230,120,100,30,"Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,80,370,200,30,"Time-Frequency Plot");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,350,330,70,30,"Default");
    fl_set_object_color(obj,FL_PALEGREEN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,80,60,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,100,60,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,30,60,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,10,60,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realunits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,190,70,30,"unitsZ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tsize = obj = fl_add_input(FL_FLOAT_INPUT,230,20,100,30,"Time Window for Time-Freq plot (s)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridz = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,120,60,20,"gridz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logz = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,50,60,20,"logz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zmax = obj = fl_add_input(FL_FLOAT_INPUT,250,300,80,30,"");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autoscale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,160,70,30,"autoZ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tstep = obj = fl_add_input(FL_FLOAT_INPUT,230,200,100,30,"refresh Period (% of Time window)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->nodc = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,230,70,30,"noDC");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->decayfft = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,260,70,30,"decay");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zmin = obj = fl_add_input(FL_FLOAT_INPUT,170,300,80,30,"zmin / zmax (color scale)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->median_norm = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,290,70,30,"median");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->help = obj = fl_add_button(FL_NORMAL_BUTTON,30,100,70,30,"Help");
    fl_set_object_color(obj,FL_PALEGREEN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformCoffeePanel,3);
  fl_end_form();

  fdui->plotffttime->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

