/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plotgenepar.h"

FD_plotgenepar *create_form_plotgenepar(void)
{
  FL_OBJECT *obj;
  FD_plotgenepar *fdui = (FD_plotgenepar *) fl_calloc(1, sizeof(*fdui));

  fdui->plotgenepar = fl_bgn_form(FL_NO_BOX, 360, 380);
  obj = fl_add_box(FL_UP_BOX,0,0,360,380,"");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,340,320,"");
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,340,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGeneParToPlot,0);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,290,340,60,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,4);
  fdui->tstep = obj = fl_add_input(FL_FLOAT_INPUT,230,80,110,30,"Time shift (% of time window)");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->tsize = obj = fl_add_input(FL_FLOAT_INPUT,230,20,110,30,"Time Window (s)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->sampFreq = obj = fl_add_input(FL_FLOAT_INPUT,230,50,110,30,"Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  obj = fl_add_text(FL_NORMAL_TEXT,80,350,200,20,"Common Parameters");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lcolor(obj,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,280,120,60,30,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,280,150,60,30,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->nodc = obj = fl_add_lightbutton(FL_PUSH_BUTTON,150,150,70,30,"noDC");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realunits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,150,120,70,30,"units");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->autoedge = obj = fl_add_lightbutton(FL_PUSH_BUTTON,30,120,70,30,"autoX");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->autoscale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,30,150,70,30,"autoY");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,200,290,140,30,"Put Default in all Plots");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPutDefaultInAllPlots,0);
  fdui->decayfft = obj = fl_add_lightbutton(FL_PUSH_BUTTON,150,180,70,30,"decay");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->all_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,310,250,30,30,"Update all parameters");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,280,180,60,30,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,280,210,60,30,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fl_end_form();

  fdui->plotgenepar->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

