/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plotraw.h"

FD_plotraw *create_form_plotraw(void)
{
  FL_OBJECT *obj;
  FD_plotraw *fdui = (FD_plotraw *) fl_calloc(1, sizeof(*fdui));

  fdui->plotraw = fl_bgn_form(FL_NO_BOX, 410, 320);
  obj = fl_add_box(FL_UP_BOX,0,0,410,320,"");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,280,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,21);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,320,260,"");
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,90,60,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,30,60,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,10,60,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,280,280,50,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,21);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,70,60,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,90,290,150,20,"Data-as-it-is Plot");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,340,240,60,30,"Default");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->ymin = obj = fl_add_input(FL_FLOAT_INPUT,210,100,110,30,"min");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->ymax = obj = fl_add_input(FL_FLOAT_INPUT,210,130,110,30,"max");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->autoscale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,140,60,30,"autoY");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realunits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,170,60,30,"unitsY");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->maxAverage = obj = fl_add_input(FL_INT_INPUT,210,60,110,30,"Number of raw vectors to average");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->decay = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,200,60,30,"decay");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->chx_resampFreq = obj = fl_add_input(FL_FLOAT_INPUT,210,20,110,30,"Sampling frequency");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->refreshDt = obj = fl_add_input(FL_FLOAT_INPUT,210,180,110,30,"refresh Period (s)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridz = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,110,60,20,"gridz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logz = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,50,60,20,"logz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fl_end_form();

  fdui->plotraw->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

