/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plotrawtime.h"

FD_plotrawtime *create_form_plotrawtime(void)
{
  FL_OBJECT *obj;
  FD_plotrawtime *fdui = (FD_plotrawtime *) fl_calloc(1, sizeof(*fdui));

  fdui->plotrawtime = fl_bgn_form(FL_NO_BOX, 420, 340);
  obj = fl_add_box(FL_UP_BOX,0,0,420,340,"");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,330,120,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,140,330,150,"");
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,300,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,4);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,280,300,60,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,4);
  fdui->maxAverage = obj = fl_add_input(FL_INT_INPUT,220,90,110,30,"Number of raw packets to average");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  obj = fl_add_text(FL_NORMAL_TEXT,80,310,190,20,"Data-as-it-is  vs  Time");
    fl_set_object_color(obj,FL_PALEGREEN,FL_PALEGREEN);
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,350,260,60,30,"Default");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,80,60,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,100,60,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,30,60,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,10,60,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->x2av = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,210,60,30,"x2av");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realunits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,180,60,30,"unitsZ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->tsize = obj = fl_add_input(FL_FLOAT_INPUT,220,20,110,30,"Time Window (s)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->gridz = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,120,60,20,"gridz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logz = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,50,60,20,"logz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zmax = obj = fl_add_input(FL_FLOAT_INPUT,240,190,90,30,"");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->autoscale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,150,60,30,"autoZ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->tstep = obj = fl_add_input(FL_FLOAT_INPUT,240,150,90,30,"refresh Period (% of Time window)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->zmin = obj = fl_add_input(FL_FLOAT_INPUT,150,190,90,30,"zmin / zmax (color scale)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fdui->chx_resampFreq = obj = fl_add_input(FL_FLOAT_INPUT,220,50,110,30,"Sampling frequency (Hz)");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL);
  fl_end_form();

  fdui->plotrawtime->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

