
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <stdio.h>

void my_printf (const char *format, ...) __attribute__ ((format (printf, 1, 2)));

void
my_printf (const char *format, ...)
{
	 va_list args;

	 va_start(args, format);
	 vprintf (format, args);
	 va_end(args);
}

int
main (int argc, char **argv)
{
	char *text;
	char *format;

	format = strdup ("%s\n");
	my_printf (format);

	my_printf ("%d\n", "toto");

#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wformat-nonliteral"
	my_printf (format, "ok\n");
#pragma GCC diagnostic pop

	free (format);

	return EXIT_SUCCESS;
}

