#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>


int main(int argc, char **argv)
{
 int i,n, nr, count, ncount;
 double *p1, *p2, *p3, *p4;
 struct timeval *tv;
 double previoustime, curtime, mean2, mean4;

 ncount = 100;
 n = 600000;

 p1 = (double *)malloc(n*sizeof(double));
 p2 = (double *)malloc(n*sizeof(double));
 p3 = (double *)malloc(n*sizeof(double));
 p4 = (double *)malloc(n*sizeof(double));

 mean2 = 0;
 mean4 = 0;
 
 for (count=0; count<ncount; count++)
    {
     nr = rand() * 100/RAND_MAX + 1;
     for (i=0; i<n; i++) p1[i] = nr*i;
     for (i=0; i<n; i++) p3[i] = (nr+1)*i;

     tv = (struct timeval *)malloc(sizeof(struct timeval));

     gettimeofday(tv, NULL);
     previoustime = tv->tv_sec + ( tv->tv_usec * 1.0e-6 );

     for (i=0; i<n; i++) p2[i] = p1[i];

     gettimeofday(tv, NULL);
     curtime = tv->tv_sec + ( tv->tv_usec * 1.0e-6 );
     printf("Copy element by element : n=%d  : time=%g sec\n", n, curtime-previoustime); 
     mean2 += curtime-previoustime;

     previoustime = curtime;

     memcpy(p4,p3,n*sizeof(double));

     gettimeofday(tv, NULL);
     curtime = tv->tv_sec + ( tv->tv_usec * 1.0e-6 );
     printf("Copy in one block : n=%d  : time=%g sec\n", n, curtime-previoustime); 
     mean4 += curtime-previoustime;
    }

 printf("Mean time for element by element: %g sec \n", mean2/ncount);
 printf("Mean time for block copy: %g sec \n", mean4/ncount);

 free(tv);
 free(p1);
 free(p2);
 free(p3);
 free(p4);
 
 return(0);
}

